----------
2011-08-08 (r603 ateslik)

uninitialized value within @_ in lc at modules/tool.pl line 339
(Thanks to Nilton Jose Rizzo, rizzo.AT.i805.com.br for his report)

----------
2011-07-30 (r602 ateslik)

fix uninitialized value in split at openwebmail-abook.pl line 2731

fix uninitialized value in numeric ge (>=) at openwebmail-prefs.pl line 2563
(Thanks to jeff.AT.downtowndevelopmentplan.com for both of these reports)

fix uninitialized value in ow-shared.pl line 1206

----------
2011-07-17 (r601 ateslik)

fix bug 105 uninitialized value $orig_description in string ne at openwebmail-read.pl line 1097
(Thanks to rolitolee.AT.gmail.com for the report)

----------
2011-07-17 (r600 ateslik)

gettext the 'and' string in advsearch.tmpl

add Romanian translation PO update
(Thanks to Gabriel Hojda, gabriel.hojda.AT.gmail.com for his great work)

update POT template

----------
2011-07-17 (r599 ateslik)

update ckeditor to rev 7108

add ckeditor ability to use images that are already attached
to the email as inline images in the message body

----------
2011-06-06 (r598 ateslik)

fix bug 103 use of uninitialized value $_ in scalar chomp at shares/getmsgids.pl line 244
(Thanks to rolitolee.AT.gmail.com for the report)

----------
2011-05-29 (r597 ateslik)

Mexican spanish (es_MX) PO file translation update
(Thanks to Gerardo Contreras, gcont.AT.unpa.edu.mx for his great work)

----------
2011-05-11 (r596 ateslik)

slight tweak to the build process to remove ckeditor svn data

----------
2011-05-11 (r595 ateslik)

replace the xinha editor with ckeditor
(Thanks to several users for their research and suggestions)

backout rev 593 - these changes need more thought

----------
2011-04-30 (r594 ateslik)

update Spanish/Mexico es_MX PO translation
(Thanks to Gerardo Contreras, gcont.AT.unpa.edu.mx for his great work)

----------
2011-04-18 (r593 ateslik)

clarify scoping of some vars to avoid errors in some environments

----------
2011-04-18 (r592 ateslik)

standardize CGI callout across all openwebmail-*.pl files

----------
2011-04-12 (r591 ateslik)

fix Xinha incompatibility with IE9
(Thanks to hen, hen.AT.dworkin.org for his report)

add CGI.pm to ow-shared to prevent crashes when the parent
calling script does not load it
(Thanks to Gerardo Contreras, gcont.AT.unpa.edu.mx for his report)

----------
2011-04-09 (r590 ateslik)

Add Spanish/Mexico translation PO file
(Thanks to Gerardo Contreras, gcont.AT.unpa.edu.mx for his great work)

----------
2011-04-07 (r589 ateslik)

re-order the tests in is_http_compression_enabled() to check for environment
variables that are present when a browser is being used before checking for
a cookie on the user system
(Thanks to Gerardo Contreras, gcont.AT.unpa.edu.mx for his report)

----------
2011-04-05 (r588 ateslik)

fix use of uninitialized value in string ne at shares/mailfilter.pl line 843

do not c-wrap .pl files in openwebmail-tool.pl --init if the c-wrapped file already exists
(Thanks to Fr. Visminlu Vicente L. Chua, S.J., chuavv.AT.gmail.com for his suggestion)

----------
2011-04-04 (r587 ateslik)

fix bug that openwebmail-tool could not output some errors
because the language and config were not yet loaded
(Thanks to Simone Capra, capra.AT.erweb.it for his report)

prevent evals from causing code to exit due to fatal warnings pragma

----------
2011-04-04 (r586 ateslik)

fix bug that logfile set to none would prevent login
(Thanks to Fr. Visminlu Vicente L. Chua, S.J., chuavv.AT.gmail.com for his report)

fix bug that %config vars would only be loaded once in ow-shared,
which was breaking operation under persistence environments
(Thanks to Fr. Visminlu Vicente L. Chua, S.J., chuavv.AT.gmail.com for his report)

----------
2011-04-03 (r585 ateslik)

change the forward buttons to be more intuitive in the silk iconset

----------
2011-03-29 (r584 ateslik)

automatically wrap openwebmail*.pl files in a C wrapper during
"openwebmail-tool.pl --init" if the system perl version is higher
than 5.011005 (5.11.5). This is to provide setuid capability, which
is no longer supported in perl 5.12 and higher
(Thanks to Fr. Visminlu Vicente L. Chua, S.J., chuavv.AT.gmail.com for his suggestion)

----------
2011-03-29 (r583 ateslik)

fix bug where lockget_messageids return value was not properly checked
and could interrupt message filtering

----------
2011-03-25 (r582 ateslik)

do not store full iconset configurations in the user preferences

load iconset configuration based on user preferences iconset,
then default_config, then degrade gracefully to "classic"
(Thanks to Moke, moke.AT.amcpl.net for his suggestion)

fix bug that first time users would not get an iconset
(Thanks to Pavel Fojt, owm.AT.fojt.cz for his report)

----------
2011-03-23 (r581 ateslik)

fix search to look inside multipart attachments during "textcontent" or "all" search
as many modern messages are multipart with text and/or html subnodes

remove escaped quotes from the sender name for main message listview

----------
2011-03-22 (r580 ateslik)

fix bug 101 that some composed messages were not backed up to sent folder
even if the backupsent checkbox was checked
(Thanks to Carlos Pina Soares, cpsoares.AT.gmail.com and rolitolee.AT.gmail.com for their reports)

add label tags to the "confirm reading" and "backup sent message" checkbox labels
so that they may be used to check their boxes

----------
2011-03-22 (r579 ateslik)

fix bug that some databases that did not exist were trying to be deleted
(Thanks to Pavel Fojt, owm.AT.fojt.cz for his report)

----------
2011-03-22 (r578 ateslik)

fix use of uninitialized value in pattern match (m//) at modules/mailparse.pl line 65

----------
2011-03-21 (r577 ateslik)

fix bug that filtering would fail if the underlying iconv system
could not successfully convert from one character set to another

occupy file descriptors 0,1,2 when closing STDIN, STDOUT, and
STDERR during forked operations

----------
2011-03-06 (r576 ateslik)

fix uninitialized value in addition (+) at shares/ow-shared.pl line 2507
(Thanks to hen.AT.dworkin.org for his report)

fix uninitialized value in concatenation (.) or string at openwebmail-read.pl line 880
(Thanks to Shane Chipp, info.AT.pasigns.com for his report)

fix filehandle STDIN/STDOUT/STDERR reopened as FILEHANDLE only for input/output warnings

----------
2011-03-04 (r575 ateslik)

fix bug 99, where new users could not login properly
(Thanks to Moke, moke.AT.amcpl.com for his reports)

----------
2011-03-03 (r574 ateslik)

fix Use of unitialized value in string ne at ow-shared.pl line 2369
(Thanks to Pablo Orantes Pozo, pabloop.AT.ugr.es for his report)

----------
2011-02-28 (r573 ateslik)

minor code cleaning

assign mime types if attachments are application/octet-stream
but the file extension is recognized

during message reading open attachments clicked for download
in a separate window instead of in the same window as the message
being read
(Thanks to Bill, bgg92.AT.ymail.com for his report)

----------
2011-02-08 (r572 ateslik)

update zh_TW translation
(Thanks to Fr. Visminlu Vicente L. Chua, S.J., chuavv.AT.gmail.com for his work)

update owm.pot POT template with a few new strings

----------
2011-01-30 (r571 ateslik)

provide an error message to the user if a message cannot be sent due to
the quota being exceeded or the message containing a bad recipient address
(Thanks to Marton Jozsef, jmarton.AT.omikk.bme.hu for his patch)

----------
2011-01-27 (r570 ateslik)

fix Use of uninitialized value in concatenation (.) or string at /home/web/mail-site/cgi-bin/openwebmail/shares/ow-shared.pl line 1803
(Thanks to hen, hen.AT.dworkin.org for his report)

fix Use of uninitialized value in addition (+) at /var/www/webmail/cgi-bin/shares/mailfilter.pl line 1192
fix Name "main::BOGUS" used only once: possible typo at /var/www/webmail/cgi-bin/.openwebmail-prefs.pl line 2210
fix Use of uninitialized value $params{"Encoding"} in lc at /var/www/webmail/cgi-bin/modules/mime.pl line 121
(Thanks to Carlos Pina Soares, cpsoares.AT.gmail.com for his reports)

----------
2011-01-24 (r569 ateslik)

fix additional warnings

----------
2011-01-23 (r568 ateslik)

fix bug that the reverse virtusertable database was not being properly populated

fix bug that user filters could not be deleted

fix bug 96 Use of uninitialized value in split at /var/www/cgi-bin/openwebmail/openwebmail-prefs.pl line 2924
(Thanks to rolitolee.AT.gmail.com for the report)

fix warning Use of uninitialized value $realname in string eq at /var/www/webmail/cgi-bin/shares/ow-shared.pl line 1425
(Thanks to Carlos Pina Soares, cpsoares.AT.gmail.com for his report)

update owm.pot POT template since line numbers have changed

----------
2011-01-23 (r567 ateslik)

fix Use of uninitialized value in concatenationa (.) or string at upgrade.pl line 654
(Thanks to Sergei N. Luzgin, sluzgin.AT.mail.ru for his report)

fix Use of uninitialized value in lc at /var/www/webmail/cgi-bin/.openwebmail-read.pl line 791
(Thanks to Carlos Pina Soares, cpsoares.AT.gmail.com for his report)

fix Filehandle STDIN reopened as F only for output at /var/www/cgi-bin/openwebmail/shares/mailfilter.pl line 267
(Thanks to Moke, moke.AT.amcpl.net for his report)

fix the trash button so it reads [To Trash] instead of [Empty Trash] in all iconsets that have text
(Thanks to Moke, moke.AT.amcpl.net for his report)

fix bug that the date stamp day always parsed as 01 since rev 558
(Thanks to Carlos Pina Soares, cpsoares.AT.gmail.com for his report)

fix additional warnings related to accounts with auto-login

fix mkcurrent.pl to detect proper revision during build chain

increment database version to 20110123 for date stamp bug
folder index databases will be upgraded as they are accessed
It is recommended sysadmins upgrade all users to reduce wait times:

/path_to.../openwebmail-tool.pl -i -a

----------
2011-01-22 (r566 ateslik)

warning fix

----------
2011-01-21 (r565 ateslik)

additional warnings fixes

----------
2011-01-21 (r564 ateslik)

fix more warnings
(Thanks to hen.AT.dworkin.org for his report)

----------
2011-01-21 (r563 ateslik)

fix bug 95 warnings
(Thanks to Moke, moke.AT.amcpl.net for his report)

fix various warnings
(Thanks to hen.AT.dworkin.org for his report)

----------
2011-01-19 (r562 ateslik)

add clean PNG version of the OpenWebMail logo

----------
2011-01-17 (r560 ateslik)

add new iconset "silk", derived from the silk icons
at http://www.famfamfam.com/lab/icons/silk
(Thanks to Mark James, mjames.AT.gmail.com for his original work)

----------
2011-01-17 (r559 ateslik)

update zh_TW translation PO file
(Thanks to jenhsiu.AT.fdhs.tyc.edu.tw and Fr. Visminlu Vicente L. Chua, S.J., chuavv.AT.gmail.com)

remove wide characters from some country names so the base en_US PO file
can be converted to all character sets successfully
(Thanks to Fr. Visminlu Vicente L. Chua, S.J., chuavv.AT.gmail.com for his suggestion)

----------
2011-01-17 (r558 ateslik)

fix bug that uncaught warnings could corrupt mail spools
(Thanks to hen.AT.dworkin.org for his report)

all warnings are now fatal and will immediately halt all operations

add new debug_mailprocess option

add new debug_maildb_buffer option

fix bug that some preference options could not be set
if the option value was zero

fix bug that the iconset in openwebmail.conf was set
to Default instead of classic
(Thanks to Gabriel Hojda, gabriel.hojda.AT.gmail.com for his report)

fix bug that some non-standard message date stamps could
not be parsed in datetime.pl

increment database version to 20110117 for updated attribute handling
folder index databases will be upgraded to new version automatically when being accessed
However, the sysadm may upgrade the folder index databases for all users explicitly by:

/path_to.../openwebmail-tool.pl -i -a

so the users will not be waiting for the database conversion when using webmail

----------
2011-01-03 (r557 ateslik)

update copyright dates in BSD license to 2011

fix bug that owm-xgettext.pl did not zero pad the
day portion of the POT-Creation-Date datestring

update javascript virtual keyboard to version 1.44
(Thanks to Brian Huisman, http://www.greywyvern.com/code/javascript/keyboard)

----------
2011-01-03 (r556 jveiga)

New .pot and .po files, including the missing gettext string from the last commit.

----------
2011-01-03 (r555 jveiga)

Missing gettexts on prefs_editfilter.tmpl.
Table row colors adjust on prefs_editfilter.tmpl.

----------
2011-01-03 (r554 jveiga)

Updated pt_BR po file with new/corrected texts.

----------
2010-12-29 (r553 ateslik)

separate logic/presentation in openwebmail-spell.pl

spellcheck now works on the message subject too!

formatting of the message being checked is preserved in the
spellcheck window, instead of a big blob of text

misspelled word select pulldowns are highlighted to
make them easier to see

fix bug that the send_compose window was not sending the
correct htmlmode to the spellchecker

update POT template with new spellcheck language strings

----------
2010-12-29 (r552 ateslik)

update Romanian PO translation
(Thanks to Gabriel Hojda, gabriel.hojda.AT.gmail.com for his great work)

----------
2010-12-26 (r551 ateslik)

set the Xinha language to the same as the OpenWebMail user
language so that the Xinha translations are used if they exist
(Thanks to Fr. Visminlu Vicente L. Chua, S.J., chuavv.AT.gmail.com for his suggestion)

----------
2010-12-26 (r550 ateslik)

update Xinha to revision 1296 of the Xinha project
(http://trac.xinha.org/browser/trunk?rev=1296)

----------
2010-12-25 (r549 ateslik)

replace PO-Revision-Date with POT-Creation-Date in owm.pot POT template

remove zh_TW.Big5.po

add code to the build pipeline to auto-generate zh_TW.Big5.po from zh_TW.UTF-8.po

----------
2010-12-24 (r548 ateslik)

update the Traditional Chinese translation PO file (zh_TW)

add the Traditional Chinese translation in the Big5 character set
(Thanks to Fr. Visminlu Vicente L. Chua, S.J., chuavv.AT.gmail.com for his awesome work)

----------
2010-12-20 (r546 ateslik)

gettext openwebmail-saprefs.pl and associated templates

update POT template with new spamassassin language strings

----------
2010-12-19 (r545 ateslik)

add Chinese/Taiwan PO translation file
(Thanks to Fr. Visminlu Vicente L. Chua, S.J., chuavv.AT.gmail.com for his really great work)

fix adjunct icons that did not match the rest of the set

----------
2010-12-19 (r544 ateslik)

fix various warnings
(Thanks to Fr. Visminlu Vicente L. Chua, S.J., chuavv.AT.gmail.com for his report)

----------
2010-12-18 (r543 ateslik)

fix bug 90 that the addressbook could not support partial information
for a contacts birthday. Users may now enter only parts of a birthday
(Thanks to Sybrand Bekius, bekius.AT.acatysmoof.com for his report)

fix bug 94 that the tooltip on the + and - longpage links was incorrect
(Thanks to Sybrand Bekius, bekius.AT.acatysmoof.com for his report)

fix bug that a contacts full name (FN) would not be generated from the
(N) propertyname values in some cases. This was breaking successful
addressbook import in cases where the full name was not a defined field
in the import process

create small_compose.gif icons for all of the iconsets since they are
defined in the iconset.conf for all sets

----------
2010-12-13 (r542 ateslik)

add virtual keyboard support for the login page password field
(Thanks to Stefano Moreale, bellocarico.AT.hotmail.com for his suggestion and patch)
(Thanks to Brian Huisman for his BSD licensed code at
http://www.greywyvern.com/code/javascript/keyboard)

add openwebmail.conf option "login_virtual_keyboard" to allow
sites to control if they want to use the virtual keyboard feature

update POT template with a few virtual keyboard strings

fix bug that url_help and help_text conf settings did not work

----------
2010-12-12 (r541 ateslik)

translations can introduce apostrophes that can break javascript.
add jgettext alternative, which acts the same as gettext but escapes
internal apostrophes to make the strings javascript safe

fix decending -> descending template mispellings
(Thanks to Jussi Hirvi, listmember.AT.greenspot.fi for his report)

update POT template file

----------
2010-12-10 (r540 ateslik)

lowercase iconset names

rename iconsets with languages in the name to use ISO 639 codes
instead so that the language name will appear in the users language

update shares/upgrade.pl to accomodate the new iconset names

----------
2010-12-09 (r539 ateslik)

fix bug 93 critical typo in shares/fetchmail.pl that caused incorrect lines to be
written to the mail spool during POP3 fetches
(Thanks to Moke, moke.AT.amcpl.net for his great help)

----------
2010-12-08 (r538 ateslik)

fix warnings during fetchmail
(Thanks to Moke, moke.AT.amcpl.net for his bug report)

----------
2010-12-08 (r537 ateslik)

rename templates called by ow-shared.pl with a shared_ prefix

reverse sort ordering of history list in user preferences so
that newer events are at the top

fix bug that the start day was not zero padded in the advanced search

make some error messages more user friendly in vcard.pl
(Thanks to Stefano Moreale, bellocarico.AT.hotmail.com for his suggestions)

fix bug that the sessiontimeout screen was missing the header and footer
and was being displayed with no styling

add class iconset_button and class iconset_small to icons used throughout

add new class definition css to replace border="0" and align="absmiddle" html

move title attributes to surrounding "a" tags instead of in "img" tags so that they
also provide tooltips for text only modes

----------
2010-12-05 (r536 ateslik)

add the English/United Kingdom PO translation
(Thanks to Matt Roberts, matt.AT.dworkin.org)

----------
2010-12-02 (r535 ateslik)

update Italian PO file
(Thanks to Stefano Moreale, bellocarico.AT.hotmail.com for his update)

update Finnish PO file
(Thanks to Jussi Hirvi, listmember.AT.greenspot.fi for his update)

----------
2010-11-30 (r534 ateslik)

update Italian language PO file
(Thanks to Stefano Moreale, bellocarico.AT.hotmail.com for his great work)

----------
2010-11-29 (r533 ateslik)

minor fix to Italian PO file

----------
2010-11-29 (r532 ateslik)

update Italian language PO file
(Thanks to Stefano Moreale, bellocarico.AT.hotmail.com for his great work)

----------
2010-11-26 (r531 ateslik)

add Italian translation PO file
(Thanks to Stefano Moreale, bellocarico.AT.hotmail.com for his great work)

update POT template

fix warning in ow-shared.pl
(Thanks to Jonathan Johnson, spamme.AT.ecybernard.com for his report)

----------
2010-11-25 (r530 ateslik)

enable iconsets to be configured via an iconset.conf file,
allowing png and jpg images to also be used in iconsets instead
of just gif images. The iconset.conf file maps the iconset system
variables to the actual file names in the iconset

icon file names are no longer hardcoded in the templates, but
are variables populated when the template is compiled

cleanup and rename all of the icons in all the iconsets

new timezone image file
(2008 version from http://www.lib.utexas.edu/maps/world_maps/time_zones_ref_2008.pdf)

----------
2010-11-24 (r529 ateslik)

update to 3.00_beta2

move lib loading to runtime instead of compile time so
that system installed modules are favored and -tool.pl can
run from anywhere
(Thanks to Moke, moke.AT.amcpl.net for his report)

get script directory from main:: instead of @INC in auth and quota

fix start_url in session timeout template
(Thanks to Carlos Pina Soares, cpsoares.AT.gmail.com for his patch)

remove deprecated page_footer configuration option

----------
2010-11-21 (r528 ateslik)

fix bug 70 that webdisk file searches do not behave as expected for most users.
searches now behave more similarly to how a shell would behave, e.g. *.zip works
(Thanks to Sybrand Bekius, openwebmail.AT.bekius.net for his suggestion)

fix warnings
(Thanks to satanyc.AT.gmail.com for his report)

----------
2010-11-21 (r527 ateslik)

update POT template

fix some gettext errors

fix warning

----------
2010-11-21 (r526 ateslik)

a number of changes to support deprecated defined usage
on hashes and arrays in perl 5.12.2

fix numerous warnings

small changes to make ./misc/tools/wrapsuid/wrapsuid.pl work better

----------
2010-11-20 (r525 ateslik)

fix bug where openwebmail-tool could not load the OWM::PO module
unless it was run directly from cgi-bin/openwebmail/

fix untie warning in openwebmail-tool.pl

fix bug where release date could not be read and was not created if it did not exist
(Thanks to Moke, moke.AT.amcpl.net for reporting the issues above)

fix numerous warnings
(Thanks to satanyc.AT.gmail.com for his report)

remove Text iconsets since they are now covered by the PO translations

----------
2010-11-16 (r524 ateslik)

fix typo in modules/tool.pl

----------
2010-11-16 (r523 ateslik)

add Romanian translation PO file
(Thanks to Gabriel Hojda, gabriel.hojda.AT.gmail.com for his great work)

put loadmodule subroutine back into modules/tool.pl

fix warnings
(Thanks to satanyc.AT.gmail.com for his report)

----------
2010-11-15 (r521 ateslik)

remove en_US.ISO8859-1 as the default systemwide. en_US.UTF-8 is the new default.

add Finnish translation PO file
(Thanks to Jussi Hirvi, listmember.AT.greenspot.fi for his great work)

remove the layout name from the header

remove the about screen option from first time users in preferences

rewrite the mkcurrent script in perl instead of tcsh. The new script does
most of the same things, but also generates statistics on the translations
as bar charts that can be viewed on the website

move help directories to UTF-8 if there is a UTF-8 PO translation

many minor fixes to correct warnings

----------
2010-11-07 (r519 ateslik)

remove deprecated language conversion code from openwebmail-tool
that was breaking the build chain

fix build bug in mkcurrent.sh

----------
2010-11-07 (r518 ateslik)

add the classic layout template set

convert all language strings to gettext format across all templates

upgrade the webdisk interface for consistency with the rest of the software

webdisk will now send files inline when they are clicked, allowing
rudimentary streaming capability directly from webdisk (browser playback
of media requires plugins, or else the user will simply be prompted to
save the file)

webdisk download button always prompts user to save file instead of displaying
some formats inline, and only prompting for some formats

----------
2010-11-07 (r517 ateslik)

lowercase all classic layout styles

NOTE: this revision does not build or function correctly.
This notice will be removed when the revision is functional.

----------
2010-11-07 (r516 ateslik)

convert language strings to gettext format across all shares code

remove deprecated subroutines from ow-shared.pl:
get_abookemailhash
templateblock_enable
templateblock_disable
iconlink
htmlfooter
htmlheader
applystyle
readstyle
readtemplate
loadlang

fix numerous warnings, clean code, whitespace adjustments

NOTE: this revision does not build or function correctly.
This notice will be removed when the revision is functional.

----------
2010-11-07 (r515 ateslik)

update quote_du.pl for the new dbm function names

NOTE: this revision does not build or function correctly.
This notice will be removed when the revision is functional.

----------
2010-11-07 (r514 ateslik)

require CGI version 3.31 or later due to UTF-8 handling bug in earlier versions

convert language strings to gettext format across main system perl code

dramatically increase error checking and reporting systemwide

all errors are now reported with the caller file and line number

code clean all main system perl code

add standard parameters across the system so going between different
screens does not lose location in other screens

NOTE: this revision does not build or function correctly.
This notice will be removed when the revision is functional.

----------
2010-11-07 (r513 ateslik)

add the lib folder for object oriented perl modules

add the OWM::PO module for extracting strings from PO files

NOTE: this revision does not build or function correctly.
This notice will be removed when the revision is functional.

----------
2010-11-07 (r512 ateslik)

move country and language codes out of lang.pl
They are now in openwebmail-prefs.pl so that the countries
and language names can be gettexted for translation

all modules are now strict and warnings safe

rename many dbm subroutines so they do not clash with built-ins

fix numerous warnings

whitespace adjustments

NOTE: this revision does not build or function correctly.
This notice will be removed when the revision is functional.

----------
2010-11-07 (r511 ateslik)

update mkcurrent.sh to handle PO files

fix bug that owm-xgettext.pl would not capture strings if more
than one existed on the same line

NOTE: this revision does not build or function correctly.
This notice will be removed when the revision is functional.

----------
2010-11-07 (r510 ateslik)

update the POT template with the latest strings

add the English translation PO file en_US.ISO8859-1.po

add the Sinhala translation PO file si_LK.UTF-8.po
(Thanks to Rohana Dasanayaka, rohana.AT.accmt.ac.lk)

add the French translation PO file fr_FR.UTF-8.po
(Thanks to Fernando Lagrange, fernando.AT.no-log.org)

add the Brazilian Portugese PO file pt_BR.UTF-8.po
(Thanks to Joao S Veiga, openwebmail.AT.it.eng.br)

NOTE: this revision does not build or function correctly.
This notice will be removed when the revision is functional.

----------
2010-11-07 (r509 ateslik)

bump version to 3.00_beta

remove deprecated options from default openwebmail.conf:
ow_stylesdir
ow_stylesurl
ow_templatesdir
default_style

add new options:
default_layout
default_style

NOTE: this revision does not build or function correctly.
This notice will be removed when the revision is functional.

----------
2010-11-07 (r508 ateslik)

remove deprecated filter rules from the default filter.book

add openwebmail.conf configuration help for new options:
ow_layoutsdir
ow_layoutsurl

NOTE: this revision does not build or function correctly.
This notice will be removed when the revision is functional.

----------
2010-11-07 (r507 ateslik)

move the loadmodule subroutine out of modules/tool and into auth
since this is the only place it is used anywhere

NOTE: this revision does not build or function correctly.
This notice will be removed when the revision is functional.

----------
2010-11-07 (r506 ateslik)

add the new layouts/classic directory

move the classic styles into the classic layout

move the old template location to the new classic layout

NOTE: this revision does not build or function correctly.
This notice will be removed when the revision is functional.

----------
2010-11-07 (r505 ateslik)

This is the first of many commits to move the software to pre-3.00

remove all old styles and templates

remove the last remaining old language file en_US.ISO8859-1

NOTE: this revision does not build or function correctly.
This notice will be removed when the revision is functional.

----------
2010-10-26 (r504 ateslik)

update translation POT template file

----------
2010-10-25 (r503 ateslik)

fix Daylight Savings notation in en_US.ISO8859-1 holiday file
(Thanks to Jason Seidel, jseidel.AT.unixsystem.org for his patch)

----------
2010-09-07 (r502 ateslik)

update POT file for more consistency in some strings
(Thanks to Joao S Veiga, openwebmail.AT.it.eng.br for his suggestions)

----------
2010-09-06 (r501 ateslik)

fix some mispellings in the owm PO template
(Thanks to Jussi Hirvi, listmember.AT.greenspot.fi for his report)

----------
2010-09-03 (r500 ateslik)

remove old language files

add POT template file for Translators

add owm-xgettext program used to extract language strings from code

----------
2010-08-29 (r498 ateslik)

add Sinhala language support (si_LK.UTF8)
(Thanks to Rohana Dasanayaka, rohana.AT.accmt.ac.lk)

fix bug 77 that some messages do not display
paperclip icon in message listing showing an attachment
(Thanks to Blue Groper, bgroper.AT.bur.st for his report and data sample)

increment database version to 20100828 for the paperclip bug fix
folder index databases will be upgraded to new version automatically when being accessed
However, the sysadm may upgrade the folder index databases for all users explicitly by

/path_to.../openwebmail-tool.pl -i -a

so the users will not be waiting for the database conversion when using webmail

----------
2010-05-09 (r496 ateslik)

fix reference to style selector in abook_cardview to
make the cardview background a solid color

----------
2010-05-05 (r495 ateslik)

fix warnings
(Thanks to Bob Puff, bob.AT.nleaudio.com for his report)

add a comma to the end of an autosuggest inserted email address
so that the next address may be immediately entered

----------
2010-04-22 (r494 ateslik)

limit from name display to 40 characters in message listview

fix typo in openwebmail.conf.help

change the cardview popup display to take up the full popup area

change the wording of the image block bar to be remote images
instead of all images, since local images are still displayed

add new find-as-you-type autosuggest feature to the message
compose to, cc, and bcc fields. The users addressbook is
used to find suggestions to display that match the text
that is currently being typed. The typed text is matched
against a contacts full name, name, nickname, and email
address to find a suggestion match

----------
2010-04-07 (r492 ateslik)

getting rid of yet more warnings
(Thanks to Bob Puff, bob.AT.nleaudio.com for his reporting)

----------
2010-04-07 (r491 ateslik)

fix a warning in -abook.pl
(Thanks to Bob Puff, bob.AT.nleaudio.com for his report)

----------
2010-04-06 (r490 ateslik)

update the addressbook help files
(Thanks to Fernando, fernando.AT.no-log.org for his great work)

----------
2010-03-30 (r489 ateslik)

a few more errors

----------
2010-03-30 (r488 ateslik)

fix more errors and warnings

----------
2010-03-30 (r487 ateslik)

fix a number of warnings and errors
(Thanks to Bob Puff, bob.AT.nleaudio.com)

----------
2010-03-28 (r486 ateslik)

add new feature that contact information can be accessed directly
as a popup from the message listview if the contact is in the addressbook

add new feature that contacts can be added to the addressbook
directly from the message listview

add new friendadd.gif icon

fix bug that login focus onchange would disrupt iphone login

fix bug that quotes in names would not be properly escaped when
generating email addresses

----------
2010-02-28 (r485 ateslik)

disable dns prefetching during message reading in order to prevent
link tracking in prefetched urls

disable css javascript expressions if user has disable javascript option active

disable inline src=data: types if user has disable embedded links option active
(Thanks to Mike Cardwell, openwebmail-dev.AT.lists.grepular.com for all of these reports)

add error checking during the creating of tmp files and tmp directories
(Thanks to Stewart Ives, ivessm.AT.softecusa.com for his report)

----------
2010-02-21 (r484 ateslik)

fix bug 64 where too many event reminders where displayed in the main listview.
instead of 6 events displayed, only 5 are displayed as it used to be
(Thanks to Sybrand Bekius, bekius.AT.acatysmoof.com for his bug report)

----------
2010-02-21 (r483 ateslik)

fix bug 56 that message was lost when attachment limit was hit while composing
(Thanks to Moke Tsing, moke.AT.amcpl.net for his bug report)

display available space for attachments in compose screen titlebar

----------
2010-02-21 (r482 ateslik)

fix bug 75 where note popup was not positioned based on which column it appeared in
(Thanks to Sybrand Bekius, bekius.AT.acatysmoof.com for his report)

----------
2010-02-20 (r481 ateslik)

remove showmsg from webdisk_showdir.tmpl to match the other
popup_message javascript actions in the other tmpl files

remove the etc/templates/COMMON directory since all javascript
is now located at data/openwebmail/javascript

----------
2010-02-20 (r480 ateslik)

fix bug where searchtype was not changed to 'to' in sent-mail folders
(Thanks to Brian Roper, bgroper.AT.bur.st for his report)

add update to help for new blockimages preference
(Thanks to Sybrand Bekius, bekius.AT.acatysmoof.com for his patch)

----------
2010-02-20 (r479 ateslik)

fix bug that blockimages did not remember showhtmlastext preference
(Thanks to Sybrand Bekius, bekius.AT.acatysmoof.com for his report)

----------
2010-02-20 (r478 ateslik)

add blockimages preference to control the blocking of images when reading messages.
display of images from remote servers can provide spammers with a means to track if
a message has been read. images are blocked by default and may be unblocked on a
per-message basis or globally for all messages at the user or sysadmin discretion
(Thanks to Mike Cardwell, openwebmail-dev.AT.lists.grepular.com for his suggestion)

----------
2010-02-15 (r477 ateslik)

standardize other templates to 95% wide

----------
2010-02-15 (r476 ateslik)

update xinha html text editor to rev 1238
http://trac.xinha.org/log/trunk?rev=1238

----------
2010-02-15 (r475 ateslik)

fix missing <tr> in main_listview.tmpl

expand prefs*.tmpl pages to 95% width like the rest of the tmpl files

----------
2010-02-13 (r473 ateslik)

separate logic from presentation in openwebmail-abook.pl

fix bug 8 where large groups caused request too long errors.
groups are now only limited by your webserver POST limit and
your SMTP maxrecipientspermessage setting

fix bug 54 where the group member selection popup was broken

contacts can now be expanded and contracted in listview individually

listview sorting has been greatly improved
(Thanks to Brian Roper, bgroper.AT.br.st for his report)

contacts without email addresses may now be selected for deletion
via the new "select" column

read only addressbooks are prefixed with a "#" character in the
addressbook selection dropdown, for easy identification

google maps has been integrated into the contact edit form for easy
access to maps of the addresses of contacts

read only addressbook may no longer be deleted or renamed from the
edit addressbooks section, but may still be downloaded

the import engine has been completely re-written and now allows
users to assign field names to an arbitrary number of fields when
the import file is comma or tab separated

users may now switch between all addressbooks during export selection
in order to facilitate finding the desired contacts to export

numerous bug fixes and speed enhancements (1711 less lines of code)

NOTE TO TRANSLATORS:
Heavy modifications to the template files are required during this
transistion to separate logic from presentation. You will find that the
new .tmpl files are not translated. You may translate these files if you
like, however the next step in this transistion is to convert all
translations to the gettext .po format. The conversion to gettext .po
will force the loss of translations again. In short, if you translate
the new .tmpl files, thats great, but you will probably be asked to
translate again when we move to .po.

Please see the roadmap for an in-depth discussion of where the code is
going:

http://openwebmail.acatysmoof.com/dev/roadmap

----------
2010-01-31 (r472 jveiga)

Fixes Bug #72, mistype in openwebmail-webdisk.pl made the numbered page links
carry the wrong currentdir information.
(Thanks to Sybrand Bekius, openwebmail.AT.bekius.net, for his report)

----------
2010-01-11 (r470 jveiga)

separate logic from presentation in openwebmail-webdisk.pl

NOTE TO TRANSLATORS:
Heavy modifications to the template files are required during this
transistion to separate logic from presentation. You will find that the
new .tmpl files are not translated. You may translate these files if you
like, however the next step in this transistion is to convert all
translations to the gettext .po format. The conversion to gettext .po
will force the loss of translations again. In short, if you translate
the new .tmpl files, thats great, but you will probably be asked to
translate again when we move to .po.

Please see the roadmap for an in-depth discussion of where the code is
going:

http://openwebmail.acatysmoof.com/dev/roadmap

----------
2010-01-11 (r469 jveiga)

Remove (%) from titlebar when no quota percentage usage is shown.

----------
2010-01-05 (r468 ateslik)

Update and add additional help documentation for the webdisk features
(Thanks to Sybrand Bekius, bekius.AT.acatysmoof.com for his great work)

----------
2009-12-31 (r467 ateslik)

update copyright notices for 2010

----------
2009-12-31 (r465 ateslik)

fix addressbook import failure bug if filename contains more than one dot character

----------
2009-12-20 (r464 ateslik)

fix isNaN bug for undefined strings in the popup calendar

----------
2009-12-15 (r463 ateslik)

fix stylesheet selector name for popup calendar

----------
2009-12-06 (r462 ateslik)

modularize the popup and popup calendar code

----------
2009-11-29 (r461 ateslik)

add changes to the message_listing help file
(Thanks to Sybrand Bekius, bekius.AT.acatysmoof.com for his work)

----------
2009-11-29 (r460 ateslik)

do not convert trash button to "empty folder" when in saved drafts
(Thanks to Brian Roper, bgroper.AT.bur.st for his report)

----------
2009-11-29 (r459 ateslik)

fix bug where prefs searchtype was not properly assigned
(Thanks to Sybrand Bekius, bekius.AT.acatysmoof.com for his report)

----------
2009-11-28 (r458 ateslik)

add Autralian holidays definition - en_AU-ISO8859-1
(Thanks to Brian Roper, bgroper.AT.bur.st for his code)

----------
2009-11-25 (r456 ateslik)

change the accesskey for Print from B to P in read_readmessage
(Thanks to Brian Roper, bgroper.AT.bur.st for his suggestion)

change the accesskey for jump to top from P to H in read_readmessage

----------
2009-11-25 (r455 ateslik)

forgot to update ow-shared.pl for the new searchtype rc item

----------
2009-11-25 (r454 ateslik)

do not duplicate accesskeys when send button position is both before and after
(Thanks to Brian Roper, bgroper.AT.bur.st for his suggestion)

----------
2009-11-25 (r453 ateslik)

add user preference "Default search" to control the search type that
gets displayed in the pulldown next to the search field
(Thanks to Brian Roper, bgroper.AT.bur.st for his suggestion)

----------
2009-11-25 (r452 ateslik)

add accesskey Q in main_listview to Clear search
(Thanks to Brian Roper, bgroper.AT.bur.st for his suggestion)

change accesskey in main_listview for sorting by received message from Q to Y

----------
2009-11-18 (r450 ateslik)

fix missing up and down arrows in the Adjunct.Silver theme

----------
2009-11-15 (r449 ateslik)

change fromselect sort ordering from realuser to name, realuser, domain
(Thanks to Brian Groper, bgroper.AT.br.st for his suggestion)

----------
2009-10-14 (r448 ateslik)

fix bug 52 where html shown as text could not be viewed as html if
the user preference 'show html message as plain text' was checked
(Thanks to Sybrand Bekius, bekius.AT.acatysmoof.com for his report)

enhance html to text conversion so that html entities are better preserved

----------
2009-09-30 (r447 ateslik)

extract message bodies from tnef winmail.dat attachments
(Thanks to Joao S. Veiga, openwebmail.AT.it.eng.br for his patch)

----------
2009-09-28 (r446 ateslik)

update the "Notes, Issues and Troubleshooting" help topics
(Thanks to Sybrand Bekius, bekius.AT.acatysmoof.com for his really great work)

----------
2009-09-27 (r445 ateslik)

add webdisk conf options to control user access to various compression programs
(Thanks to Torsten Mueller, torsten.AT.archesoft.de for his patch)

----------
2009-09-27 (r444 ateslik)

fix setting of spamcheck option in the prefs template
(Thanks to Torsten Mueller, torsten.AT.archesoft.de for his patch)

minor documentation fix
(Thanks to Torsten Mueller, torsten.AT.archesoft.de for his patch)

----------
2009-09-23 (r443 jveiga)

Adds openwebmail.conf option webdisk_allow_chmod to enable/disable chmod on webdisk.
(Thanks to Torsten Mueller, torsten.AT.archesoft.de for his patch)

----------
2009-09-21 (r442 ateslik)

disable the pop3 and all options in the user preferences for
spamcheck_source_allowed if enable_spamcheck is turned off
(Thanks to Torsten Mueller, torsten.AT.archesoft.de for his report)

----------
2009-09-21 (r441 ateslik)

update the spamcheck_source_allowed documentation
(Thanks to Torsten Mueller, torsten.AT.archesoft.de for his suggestion)

----------
2009-09-17 (r440 ateslik)

back out commit 439. It has problems.

----------
2009-09-17 (r439 ateslik)

enhance virtusertable parsing to better support %1 substitutions
(Thanks to Andrei Boros, andrei.AT.rcw.ro for his report)

----------
2009-09-12 (r438 ateslik)

update the "Configuring your Settings" help topic
(Thanks to Sybrand Bekius, bekius.AT.acatysmoof.com for his great work)

----------
2009-09-12 (r437 ateslik)

add rfc3696 spec limits to email string matching

fix delete button misalignment in sa_editlist.tmpl

----------
2009-09-12 (r435 ateslik)

remove more xinha plugins that require PHP
from the unsupported_plugins folder

----------
2009-09-11 (r434 ateslik)

remove xinha plugins requiring PHP

add full path to java executable in miniturization script

----------
2009-09-11 (r433 jveiga)

Less restrictive email validation for black/whitelist saprefs.

----------
2009-09-08 (r432 jveiga)

Fix random "Caller has illegal chars" in calendar when used with speedy.
Set caller for "+" link in calendar week view.

----------
2009-09-08 (r431 ateslik)

add spaces after commas for to, cc, bcc joins

----------
2009-09-07 (r430 ateslik)

match spamassassin prefs width to other pages

----------
2009-09-07 (r428 ateslik)

minor whitespace and html form position code clean

----------
2009-09-07 (r426 jveiga)

separate logic from presentation in openwebmail-saprefs.pl

NOTE TO TRANSLATORS:
Heavy modifications to the template files are required during this
transistion to separate logic from presentation. You will find that the
new .tmpl files are not translated. You may translate these files if you
like, however the next step in this transistion is to convert all
translations to the gettext .po format. The conversion to gettext .po
will force the loss of translations again. In short, if you translate
the new .tmpl files, thats great, but you will probably be asked to
translate again when we move to .po.

Please see the roadmap for an in-depth discussion of where the code is
going:

http://openwebmail.acatysmoof.com/dev/roadmap

----------
2009-09-07 (r425 ateslik)

remove deprecated keepnull arguments to str2list sub

----------
2009-09-06 (r424 ateslik)

enforce comma separated lists for bcc, replyto, and reply-receipt headers

----------
2009-09-06 (r423 ateslik)

fix bug that to, cc, and bcc addresses could only be separated by
either a comma or a semicolon, but not both on the same line.
(Thanks to Joao S. Veiga, openwebmail.AT.it.eng.br for his great code)

----------
2009-09-05 (r422 jveiga)

Make sure the To: and Cc: email headers are comma-separated
lists (-send.pl accepted and parsed semicolons as list separators
but sent that to the email headers, which was not good)

----------
2009-09-01 (r421 jveiga)

"Can't locate /var/www/ow/cgi-bin/openwebmail/etc/lang/en_US.UTF8", -sent.pl defaulting to en_US.UTF8 instead of en_US.UTF-8.

----------
2009-08-29 (r420 jveiga)

Added one more endofline so behavior is consistent with
replying message.

----------
2009-08-29 (r419 jveiga)

- Add user prefs option to insert the signature text before
the original message text when forwarding.
- Change "Message Replying" to "Message Composing/Sending"
in the prefs page and help files, as that section includes
options for general composing/sending, not only for
replying.
- Updated en_US and pt_BR help files for this and other
"Message Composing/Sending Options" which weren't there yet.

----------
2009-08-27 (r418 ateslik)

update the database dumping utility

----------
2009-08-24 (r417 ateslik)

a last few mime redirects

----------
2009-08-24 (r416 ateslik)

repoint a couple more encodings to mime.pl

----------
2009-08-24 (r415 ateslik)

refactor decode_content sub to modules/mime.pl

fix bug 2 that some message attachments would not show if they were
declared base64 but contained illegal base64 characters that made
them improperly decode, and thus become ignored
(Thanks to Bob Puff, bob.AT.nleaudio for the sample files and report)

----------
2009-08-23 (r414 ateslik)

fix various warnings

----------
2009-08-23 (r413 ateslik)

fix cid and loc referencing during message compose

support replying in html to Apple-Mail multipart messages where
the html body is encapsulated in a multipart/related MIME part

----------
2009-08-21 (r411 ateslik)

Update the "Managing Messages" topic in the help documentation
(Thanks to Sybrand Bekius, bekius.AT.acatysmoof.com for his great work)

----------
2009-08-21 (r410 ateslik)

fix same content-location replacement bug during message replying

----------
2009-08-20 (r409 ateslik)

fix bug where content-location was not replaced if a content-id
for the same attachment was present
(Thanks to Bob Puff, bob.AT.nleaudio.com for his report)

decode winmail.dat attachments of type application/octet-stream

----------
2009-08-19 (r408 ateslik)

fix a number of errors calling composemessage instead of compose

----------
2009-08-17 (r407 ateslik)

fix bug that delete did not work on attachments due to incorrect subroutine call url
(Thanks to Joao S Veiga, openwebmail.AT.it.eng.br for his report)

----------
2009-08-16 (r406 ateslik)

remove redundant license files

----------
2009-08-16 (r405 ateslik)

display headers from delivery-status and disposition-notification message parts
to provide maximum information to the user about the bounce or read receipt

fix bug 38 that multipart/report messages would merge all of the
attachments into the body of the message during forwarding
(Thanks to Bob Puff, bob.AT.nleaudio.com for his report)

do not display message sent confirmation during init if admin chooses not
to send a statistics report to the developers in openwebmail-tool.pl

----------
2009-08-10 (r403 ateslik)

code clean, refactor, whitespace adjustments

fix bug that search result subjects would not click through to message

remove old misc/tools

----------
2009-08-05 (r402 ateslik)

small code refactoring on openwebmail-send.pl

----------
2009-08-04 (r401 ateslik)

fix path mistake

----------
2009-08-04 (r400 ateslik)

add script to miniturize xinha javascript. This is the same script
xinha uses for packing releases and results in faster load times
for the html editor

modify the openwebmail mkcurrent script to use the xinha miniturizer
when creating and openwebmail-current tarball. The xinha sources in
openwebmail SVN are not miniturized and will remain that way

----------
2009-08-03 (r399 ateslik)

fix yet another microsoft non-standard bug for html compose

----------
2009-08-03 (r398 ateslik)

adjust browser javascript capability detection

----------
2009-08-02 (r397 ateslik)

fix form mistake based on caller that broke the cancel button
when coming from the message listview

----------
2009-08-02 (r396 ateslik)

fix compose caller param in listview

----------
2009-08-02 (r394 ateslik)

minor documentation updates

----------
2009-08-02 (r393 ateslik)

remove htmlarea popup UTF8 conversion during build process

----------
2009-08-02 (r392 ateslik)

set the enable_urlattach default to yes

----------
2009-08-02 (r391 ateslik)

separate logic from presentation in openwebmail-send.pl

htmlarea has been replaced with the xinha rich text editor

html composing support is no longer detected based on the
browser user agent string, but rather on a test of the
javascript capability during login. This brings html composing
support to any browser that can support it automatically
(Thanks to Alicia P?\195?\169rez, aliciapereza.AT.gmail.com for the report)

users may now attach files to messages using URLs. This was
already supported in the code, but there was no user interface
to designate a URL to attach. System admins may disable this
feature by setting the new enable_urlattach configuration setting
to no

the reply and replyall compose modes now preserve inline
message attachments instead of discarding them, enabling
comment on inline images during reply

users are warned if they are trying to delete a message that
is referenced in the body of the composing message

fix bug 43 that messages with read receipts did not cause
a read receipt message to be sent to the sender
(Thanks to Glenn, glenn.AT.mail.txwes.edu for the report)

fix bug 6 that attachments did not contain a unique id associating
them with the message being composed. Multiple emails with
attachments may now be composed simultaneously
(Thanks to Brat, pawel.AT.rckik.krakow.pl for the report)

add login links to session timeout messages (bug 35 feature request)
(Thanks to Bob Puff, bob.AT.nleaudio.com for the suggestion)

update javascript image resizing code during message reading
to wait until image loading is complete before performing resize

separate the DHTML popup logic from the calendar html creation
javascript so that the popup code can be reused for ajax popups
in the future

fix bug that right-to-left language direction was not set based on
language settings selected by user in new tmpl files

fix bug that the stationery compose selection list appeared in the
bottom controlbar even if enable stationery was set to no

minor whitespace adjustments

NOTE TO TRANSLATORS:
Heavy modifications to the template files are required during this
transistion to separate logic from presentation. You will find that the
new .tmpl files are not translated. You may translate these files if you
like, however the next step in this transistion is to convert all
translations to the gettext .po format. The conversion to gettext .po
will force the loss of translations again. In short, if you translate
the new .tmpl files, thats great, but you will probably be asked to
translate again when we move to .po.

Please see the roadmap for an in-depth discussion of where the code is
going:

http://openwebmail.acatysmoof.com/dev/roadmap

----------
2009-07-26 (r390 ateslik)

clean up some datetime code

----------
2009-07-24 (r388 jveiga)

separate logic from presentation in openwebmail-advsearch.pl

TRANSLATORS: Please see Alex's notes regarding translations
on his previous logic-presentation commits.

----------
2009-07-16 (r387 ateslik)

update toolbars help files
(Thanks to Sybrand Bekius, bekius.AT.acatysmoof.com, for his great work)

update mirror homepage via the mkcurrent.sh script when packing a -current

----------
2009-07-12 (r385 ateslik)

clean up some urls

----------
2009-07-09 (r384 ateslik)

add save and cancel accesskey shortcuts to addressbook contact input pages
(Thanks to BlueGroper, bgroper.AT.bur.st for his suggestion)

update developer info on login pages

----------
2009-07-04 (r383 ateslik)

add a delete button to the addressbook listview to quickly
delete checked contacts. Feature request filed in bug 41.
(Thanks to BlueGroper, bgroper.AT.bur.st for his request)

----------
2009-06-30 (r382 ateslik)

forgot ow-shared to define the iconv_error_labels option

----------
2009-06-30 (r381 ateslik)

add config option iconv_error_labels to control the display of
character set conversion errors. The default is set to 'no' in
etc/defaults/openwebmail.conf since these labels often confuse
users and are intended for developers only.

----------
2009-06-29 (r380 ateslik)

fix bug that clearing a search did not reset the page to 1 and turn off longpage viewing

----------
2009-06-29 (r379 ateslik)

add link to download all non-text attachments during message reading

----------
2009-06-28 (r378 md)

Fix POP3 protocol - remove stuffing dots

----------
2009-06-27 (r376 ateslik)

force long lines inside pre tags to wrap during message display
(Thanks to Brian Roper, bgroper.AT.bur.st for his report)

----------
2009-06-11 (r375 ateslik)

fix bug 33 that enable_stationery set to no did not disable
the display of the stationery functionality when reading messages
(Thanks to Bob Puff, bob.AT.nleaudio.com, for his report)

----------
2009-06-06 (r374 ateslik)

Add user preference calendar_showlunar to control the display of
lunar calendar days in the calendar views. This addresses bug 21.

Add the display of lunar days to the calendar weekview.

Move lunar day translations to the lang files instead of hardcoded
into shares/lunar.pl in the big5 character set.

----------
2009-06-01 (r373 md)

Avoid splitting Content-Type headers for no reason

----------
2009-05-30 (r372 ateslik)

minor fixes to French translation

----------
2009-05-30 (r370 ateslik)

update the mkcurrent.sh script to only generate a new -current if needed

----------
2009-05-30 (r369 ateslik)

update French language translation
(thanks to Wilfried Marie, wmarie.AT.wanadoo.fr)

----------
2009-05-25 (r366 ateslik)

add feature pulldowns "MARK AS READ" and "MARK AS UNREAD" to do those operations on multiple messages in the message listview

fix bug that PIPE or TERM exits (from user stop or external program failure) do not pass a numeric exit code to exit. This bug is triggered by the broken tnef 1.4.4. Please use tnef 1.4.5. See bug 31 for more information.
(Thanks to Moke Tsing for his bug report)

fix typo on envelope icon popup to be 'mark as read' when message is unread

----------
2009-05-24 (r364 jveiga)

separate logic from presentation in openwebmail-folder.pl

TRANSLATORS: Please see Alex's notes regarding translations
on his previous logic-presentation commits.

----------
2009-05-19 (r363 ateslik)

update additional files in the help system
(Thanks to Sybrand Bekius for his work)

----------
2009-05-14 (r362 md)

Add missing Content-Transfer-Encoding headers to text/plain parts

----------
2009-05-11 (r361 ateslik)

fix bug 30 that "thisandnextday" recurring events move if edited from different start day than the event start day

----------
2009-05-07 (r360 ateslik)

remove the "forwardids_delete" feature which deleted messages
if they were forwarded using the "move" button instead of
the "copy" button. Many people thought this feature was a bug.
In no case does forwarding delete messages anymore. They must
by explicitly deleted or moved. See bug 29 for more details.
(Thanks to Josh Campbell, jcampbel.AT.fgcu.edu for his report)

----------
2009-05-05 (r359 md)

Fix vacation messages to correctly specify MIME charset

----------
2009-05-04 (r358 md)

Prevent OWM from sending duplicate messages with the same message-id

----------
2009-05-03 (r357 ateslik)

update the help files for the calendar section
(Thanks to Sybrand Bekius for his work)

----------
2009-05-03 (r356 ateslik)

fix bug 24 that cal events could not be edited from the dayview form

simplify dereferencing syntax and general code cleanup on htmlrender.pl

----------
2009-05-03 (r354 ateslik)

fix javascript denial of service bug 22

----------
2009-04-28 (r353 ateslik)

fix bug that successful password change issued nonexistent parameter 'sort' error
(Thanks to Sybrand Bekius for his report)

----------
2009-04-27 (r352 ateslik)

redo event reminder default on patch

----------
2009-04-27 (r351 ateslik)

change event reminder default to on so the event
reminder will appear in the mail view

----------
2009-04-23 (r345 ateslik)

fix javascript event propagation/bubble for IE7 in monthview

----------
2009-04-23 (r344 ateslik)

Update copyright date to 2009

----------
2009-04-23 (r343 ateslik)

fix use of uninitialized value in string in openwebmail-prefs.pl line 1431

----------
2009-04-23 (r342 ateslik)

Re-fix uninitialized value $retval in openwebmail-tool.pl line 254
(was fixed in rev 324, re-broken in rev 326)

----------
2009-04-23 (r341 ateslik)

forgot to commit the change to the calbook

----------
2009-04-22 (r340 ateslik)

fix bug that hilighttext style was renamed to hilitetext
but the templates were not updated

----------
2009-04-22 (r339 ateslik)

fix warnings

----------
2009-04-22 (r338 ateslik)

major overhaul of the calendar system

completely new weekview displays all events of the week in a grid layout like the dayview

events can be edited, added, modified, or deleted directly from the monthview, weekview, dayview, or listview

linkify all occurances of month, day, and year to make navigation more convenient

add several new routines to the module/datetime
days_in_month: return the total number of days for a given month in a given year
day_of_year: return the number of a given day this year from 0 to 366
days_in_year: return the number of days in the given year
week_of_year: return the ISO 8601 week number this year for the provided date
weekday_number: return the weekday number for the given year, month, day
yyyymmdd: return the provided date formatted as a yyyymmdd string

fix bug that many links did not persist the vars from the -main system

fix bug that empty events were saved to the calendar.book

fix bug that events could have a start time after the end time

fix bug that popup calendar did not correctly display according to users stylesheet

improve speed via less disk accesses for adding/modifying/deleting events

calendar.book is now stored sorted by idate instead of by eventid

eventids are no longer changed everytime the calendar.book is written. They persist until the event is deleted and the eventid becomes available again. This means there will now be gaps in the eventid numbering as events are added and removed

(Thanks to Joao Veiga for his GREAT foundation that made these changes possible)

----------
2009-03-08 (r337 ateslik)

remove sounds that may violate copyright
(suggested by Mark Hedges, hedges.AT.scriptdolphin.org)

----------
2009-03-07 (r336 ateslik)

update the daylight savings time adjustments for 2009

----------
2009-01-05 (r335 ateslik)

fix bug that next message was not viewed after trash button clicked
(thanks to Oppilif, oppilif.AT.yatta-it.com for his report)

fix misspelling in cal_listview template

----------
2008-12-15 (r334 jveiga)

cal_edit was left out of 332 commit - sorry.
Thanks Alex Teslik for letting me know.

----------
2008-12-13 (r333 jveiga)

hereDate initialization with time (12:00) for bdaypopup.js
too. No time caused Iceweasel 3.0 to show two last-DST days
on the popup calendar.

----------
2008-12-13 (r332 jveiga)

separate logic from presentation in openwebmail-cal.pl

TRANSLATORS: Please see Alex's notes regarding translations
on his previous logic-presentation commits.

Note: This has required minor changes on calpopup.js and
validate.js. Both moved to data/openwebmail/javascript/
and are loaded in the templates with "scr=" (thanks Scott
Mazur for the suggestion and guidance). It was also
necessary to add 3 styles in the css files.

Included time (12:00) on initialization of hereDate in
calpopup.js; the lack of it was making Iceweasel 3.0 get
confused on the start of DST because it assumed 00:00.

Thanks Alex Teslik for the tips and guidance.

----------
2008-10-10 (r331 jveiga)

Unnecessary heavy load for big emails containing html with "Disable Java Script" enabled.

----------
2008-09-25 (r330 ateslik)

allow importing vcard message attachments with application/octet-stream
content-type to work around mime-type assignment bugs in Firefox
(Thanks to Joao S Veiga, openwebmail.AT.it.eng.br for his report)

----------
2008-09-24 (r329 jveiga)

charset() not getting message charset when readwithmsgcharset is used

----------
2008-09-19 (r328 ateslik)

add support to import vcard attachments during message reading

fix bug that viewnextaftermsgmovecopy was broken

----------
2008-09-12 (r327 ateslik)

fix the typo in the version string

----------
2008-09-11 (r326 ateslik)

separate logic from presentation in openwebmail-read.pl

change the shebang line in all openwebmail-*.pl files to use
/usr/bin/perl instead of /usr/bin/suidperl. Newer versions of perl do
not run unless the binary is named perl. Perl automatically runs in suid
mode if the suid bit is set on the running script AND perl is compiled
with the DOSUID option. The openwebmail-*.pl scripts still require suid,
so please make sure they are properly chmod'd 4755 as usual

CGI.pm is now invoked using the :cgi subset instead of the :standard
subset on .pl files that have already been logic/presentation separated.
This uses less memory and keeps the namespace much cleaner since no html
capability is being loaded from CGI.pm

standardize the OWM system input and output. POST data should always be
html escaped coming in. CGI.pm automatically unescapes it. GET query
string data should always be url encoded coming in. CGI.pm automatically
decodes it via the param method. Do *not* url encode POST data - it does
not get unencoded by CGI.pm. Developers should monitor outgoing data to
make sure it is properly escaped in the tmpl files. All tmpl_var
declarations must specify their escape property (html, url, js, or
none). This change affected all .pl and .tmpl files systemwide.
(thanks to Joao S Veiga, openwebmail.AT.it.eng.br for spotting this problem)

remove most instances of ow::htmltext::str2html, which html escapes
strings that already contain unicode entities such as &#7465; This seems
to be an error related to the mixing of html escaped GET data. Raw
message data does not seem to contain unicode entities, but rather
contains the actual unicode character itself. Feedback welcome

the standardparamsloop has been removed from openwebmail-prefs.pl
entirely. All vars are explicitly declared during template creation in
the logic. All vars are explicitly used in the tmpl files as needed.
This makes things much more clear, customizable, and standard practice
across all tmpl files

fix bug that cid: and loc: were not always displaying properly (if they
had an additional cid: or loc:)

fix bug that position:absolute elements in a message body could display
outside the message reading area
(thanks to Joao S Veiga, openwebmail.AT.it.eng.br for his report)

add feature during message reading that images that are too large for
the viewing screen are dynamically resized to fit while loading

tons of minor whitespace adjustments

NOTE TO TRANSLATORS:
Heavy modifications to the template files are required during this
transistion to separate logic from presentation. You will find that the
new .tmpl files are not translated. You may translate these files if you
like, however the next step in this transistion is to convert all
translations to the gettext .po format. The conversion to gettext .po
will force the loss of translations again. In short, if you translate
the new .tmpl files, thats great, but you will probably be asked to
translate again when we move to .po.

Please see the roadmap for an in-depth discussion of where the code is
going:

http://openwebmail.acatysmoof.com/dev/roadmap

----------
2008-08-20 (r325 jveiga)

Copy "visible login" correction (svn 305) to the templates for other languages.
Thanks for Thiago Alencar (thiago.alencar .AT. rf.com.br) for pointing that out.

----------
2008-07-26 (r324 jveiga)

Uninitialized value $retval in openwebmail-tool.pl line 254.
Uninitialized value $user_releasedate in openwebmail-tool.pl line 975.

----------
2008-07-26 (r323 jveiga)

Minor change in pt_BR.ISO8859-1/composemessage.template; sent message may be saved on folders other than "Enviadas".

----------
2008-07-12 (r322 jveiga)

More "uninitialized values" cleanup:
- Deal with messages with no Status in header yet.
- Initialize newly created folder index to avoid warnings
when building folder pull-down menu in listmessages.

----------
2008-07-07 (r321 jveiga)

pt_BR translations and revisions (lang, .template, and .tmpl files)
(Thanks to Thiago Alencar, thiago.alencar.AT.rf.com.br)

----------
2008-06-19 (r320 jveiga)

Polishing of the rev 318 changes (thanks Alex for the tips).

----------
2008-06-18 (r319 jveiga)

When "Edit Stationary" was called from the message read page, the "back to" button was "backing" to the prefs page.

----------
2008-06-17 (r318 jveiga)

Brings back the "feature" of having default sorting by recipient on folders named as $lang_folders{'sent-mail'}<something>.

----------
2008-06-17 (r317 jveiga)

Simplification of the timeout countdown.

----------
2008-06-17 (r316 jveiga)

prefs.tmpl: In the prefs page, when changing the language setting, remember the previous charset setting if available.

----------
2008-06-16 (r315 jveiga)

Replace all occurrences of " kb" for " kB" (kilobyte) in all templates.

----------
2008-06-16 (r314 jveiga)

Charset selection on preferences always set defaultcharset as selected.

----------
2008-06-15 (r313 jveiga)

Some more undefined values cleanup, openwebmail.pl and openwebmail-main.pl

----------
2008-06-15 (r312 jveiga)

Change styles to eliminate underlines on visited links.

----------
2008-06-14 (r311 jveiga)

Fix sessioncount logic on openwebmail.pl - if $misc is defined, it can't be '': regex matches (-.*)

----------
2008-06-14 (r310 jveiga)

Use of uninitialized value $misc and $client_sessionkey at openwebmail.pl

----------
2008-06-14 (r309 jveiga)

$MIME::Base64::VERSION may return non-numeric value (3.07_01 in current debian lenny), causing error message in openwebmail-tool.pl.

----------
2008-06-09 (r308 ateslik)

move the N/A blank subject replacement to the templates
since it is a static language-dependent string

----------
2008-06-09 (r307 jveiga)

Replaces empty subject for N/A in message listing

----------
2008-06-04 (r306 ateslik)

fix bug that spamcheck treated negative spam scores
as spam instead of ham
(Reported by Martin Och, martin.AT.och.cz)

----------
2008-05-27 (r305 ateslik)

fix scalar bugs related to .forward and keeplocalcopy
(Thanks to Moke Tsing, moke.AT.amcpl.net)

fix bug that password was visible in URL during login
(Thanks to Pavel Fojt, owm.AT.fojt.cz)

----------
2008-04-27 (r304 ateslik)

fix minor bug in openwebmail-main.pl for uninitialized value

----------
2008-04-27 (r303 ateslik)

fix bug in openwebmail-tool.pl:
printf (...) interpreted as function at ./openwebmail-tool.pl line 1122.

----------
2008-04-27 (r302 ateslik)

separate logic from presentation in openwebmail-main.pl

fix bug that some addresses in addressbook would not show
as a friend in the openwebmail-main message listing

all folders can now be sorted by sender or recipient.
Undisclosed recipients are sorted at the end after the
alphanumeric entries

remove single and double quotes surrounding a sender's name in
the message listing, to provide better sorting and display

popup windows now match the selected stylesheet

tweak login and copyright pages to make them closer to
the originals. Login sizes are closer. Copyright page is
now against white, no matter which stylesheet the user
has selected

upgrade HTML::Template to version 2.9, which is now required

add numerous accesskey keyboard shortcuts to the listview

add "Clear" button when the search field is populated. The refresh
button no longer clears search results, it only refreshes

NOTE TO TRANSLATORS:
Heavy modifications to the template files are required during this
transistion to separate logic from presentation. You will find that the
new .tmpl files are not translated. You may translate these files if you
like, however the next step in this transistion is to convert all
translations to the gettext .po format. The conversion to gettext .po
will force the loss of translations again. In short, if you translate
the new .tmpl files, thats great, but you will probably be asked to
translate again when we move to .po.

Please see the roadmap for an in-depth discussion of where the code
is going:

http://openwebmail.acatysmoof.com/dev/roadmap

We need testers! Please install and let us know how it goes for you!

----------
2008-03-27 (r301 ateslik)

fix bug that sessions run under speedy where sharing parameters
due to incorrectly scoped global variables
(thanks to Joao S Veiga, openwebmail.AT.it.eng.br)

----------
2008-03-25 (r300 ateslik)

fix a couple more warnings in openwebmail.pl

----------
2008-03-25 (r299 ateslik)

fix a number of warnings in openwebmail-prefs and openwebmail.pl
(thanks to Joao S Veiga, openwebmail.AT.it.eng.br for spotting them)

adjust stylesheets to make the login closer to the original
(thanks to Moke Tsing, moke.AT.amcpl.net for his suggestion)

----------
2008-03-25 (r298 ateslik)

add ugly hack ow_stylesdirtemp so that we can simultaneously
support both the old and new styles until we finish the tmpls
and remove the old ow_stylesdir

----------
2008-03-25 (r297 ateslik)

move styles to the data directory since we directly
link to them in the new tmpl files. The old styles
will remain in cgi-bin until we complete the transistion
to the new templates
(reported by Moke Tsing, moke.AT.amcpl.net)

fix small bug in mailfilter.pl

----------
2008-03-24 (r296 ateslik)

Separate the logic from the presentation in openwebmail-prefs.pl

Add HTML::Template filtering to all templates via ow-shared.pl.
This allows all templates to be custom filtered before the tmpl
values are processed. Right now it is being used to remove
unnecessary whitespace for better looking final html code

All .tmpl pages are now HTML 4.01 scrict.dtd compliant

Stylesheets are no longer processed as templates. This makes
them _true_ stylesheets - finally!

Add preview feature when switching stylesheets in preferences.
Try it, its fun

We need testers! Please install and let us know how it goes for you!

NOTE TO TRANSLATORS:
Heavy modifications to the template files are required during this
transistion to separate logic from presentation. You will find that the
new .tmpl files are not translated. You may translate these files if you
like, however the next step in this transistion is to convert all
translations to the gettext .po format. The conversion to gettext .po
will force the loss of translations again. In short, if you translate
the new .tmpl files, thats great, but you will probably be asked to
translate again when we move to .po.

Please see the roadmap for an in-depth discussion of where the code
is going:

http://openwebmail.acatysmoof.com/dev/roadmap

----------
2008-02-27 (r294 ateslik)

this is the first commit separating logic from presentation
as described in the project roadmap. This commit completely
separates logic and presentation in the openwebmail.pl file

several subroutines and support files have been added to
allow this transistion. During this transistion both the old
style and the new style will be simultaneously supported. At
the end of the transistion the old files will be removed and
the code base is expected to reduce to 50% of its current size,
as described in the roadmap. Themes will also be possible at
the end of this transistion

HTML::Template is now REQUIRED. It is included in the modules
directory for sites that cannot install it natively. However,
it is recommended that sites install it natively if possible
to take advantage of the speed of the XS version

this new code and all new future code will be licensed under
the BSD License, a copy of which can now be found in
data/openwebmail/doc/LICENSE.txt. This change was made to make
OpenWebMail even more free and available, without the
restrictions of the GPL

this code is more bleeding-edge than typical -current versions
of the past. It is not recommended for production environments.
However, non-production environments are encouraged to install
and test this code. Bug reports are appreciated

the options footer_template_file and header_template_file
have been added to openwebmail.conf

fix bug that user and group "nobody" were assumed to be gid and
uid 65534, which caused files to be created with 65534 for uid.
(thanks to Martin Och, martin.AT.och.cz for his report)

----------
2008-02-21 (r293 ateslik)

update Slovenian holiday, language, and template files
(thanks to Uros Sajko, copatek.AT.yahoo.com)

----------
2008-02-17 (r292 ateslik)

add accesskey K to get to popup addressbook from compose
(suggested by Brian Roper, bgroper.AT.bur.st)

add focus to search field when addressbook pops up
(suggested by Brian Roper, bgroper.AT.bur.st)

add tabindexes to popup addressbook for easy keyboard control

----------
2008-02-13 (r291 ateslik)

fix bug that mkcurrent.sh was modifying the xheader releasedate var

----------
2008-02-10 (r290 ateslik)

fix some permissions when building current

----------
2008-02-10 (r289 ateslik)

fix bug that spamcheck and viruscheck did not work

add additional error reporting to spam and viruscheck.
Use debug_fork option to activate

spam and viruscheck can now add a report to the header
of the message. See the spamcheck_include_report and
viruscheck_include_report options

additional name detection in adrbook.pl

----------
2008-01-25 (r288 ateslik)

update German language file
(Thanks to Florian Effenberger, florian.AT.effenberger.org)

----------
2008-01-23 (r286 ateslik)

bump the version number to 2.53

----------
2008-01-23 (r283 ateslik)

add document describing how to use svn for owm dev

----------
2008-01-03 (r282 ateslik)

minor html bug fix

----------
2008-01-02 (r281 ateslik)

revise the opening copyright notice

revise the version string shown in the info section

revise the en_US.ISO8859-1 templates as a start to
presentation/logic separation

----------
2007-12-27 (r280 jveiga)

Minor text corrections.

----------
2007-12-13 (r279 ateslik)

change the default options to spamc
(Thanks to Fr. Visminlu Vicente L. Chua, S.J., chuavv.AT.gmail.com)

----------
2007-11-12 (r278 ateslik)

remove the changes.txt file from data/openwebmail/doc. This
file is now created automatically when a tarball is made
using the misc/mkrelease/mkcurrent.sh script

rewrite the misc/mkrelease/mkcurrent.sh script to use SVN

remove unused or unnecessary scripts from misc/mkrelease

----------
2007-11-07 (r277 ateslik)

new iconset: Vertito.English
(thanks to vertito.AT.aim-consultants.com)

----------
2007-11-07 (r276 ateslik)

fix bug that a message sent to an uppercase or lowercase variation
of a ligitimate alias would cause the reply to default the From field
to the real user account instead of the alias account.
(thanks to Ercolino de spiacico, bellocarico.AT.hotmail.com for the report)

----------
2007-11-07 (r275 md)

Add missing whitespace

----------
2007-11-07 (r274 md)

Fix mailbox corruption when deleting attachment

----------
2007-11-06 (r273 ateslik)

Add warning regarding ow_usersdir possible exploit for OWASP review
(Thanks to Eric Sheridan, eric.sheridan.AT.aspectsecurity.com)

----------
2007-10-04 (r272 jveiga)

changed the default zonetabfile to 'no', to avoid confusion when
upgrading without setting the existing users' timezone;
added timezone settings documentation on openwebmail.conf.help
(Joao S Veiga, openwebmail.AT.it.eng.br)

----------
2007-08-20 (r271 ateslik)

update changes.txt again to warn sysadms to run openwebmail-tool.pl
to update all of the users db files per the 08/10/2007 commit.

----------
2007-08-20 (r270 ateslik)

re-sync the data/openwebmail/doc/changes.txt file

----------
2007-08-19 (r269 md)

Fix HTTP charset in errors after login and after release upgrade from 2.52

----------
2007-08-19 (r268 md)

Fix name of the Slovenian locale (sl_SI)

----------
2007-08-19 (r267 md)

Fix Hebrew support and remove broken he_IL.ISO8859-8 locale

----------
2007-08-17 (r266 md)

Fix charset for Login failed screen

----------
2007-08-17 (r265 md)

Fix typo in ISO-8859-8 iconv list.

----------
2007-08-17 (r264 md)

Add iconv aliases for KSC5601 charset

----------
2007-08-17 (r263 md)

Remove en_US.UTF-8 and ro_RO.UTF-8 locales from SVN - now autogenerated during
installation. Update ro_RO.ISO8859-2 as agreed with Gabriel Hojda.

----------
2007-08-17 (r262 md)

Fix prefs.template for RTL languages

----------
2007-08-16 (r261 md)

Prefer UTF-8 charset when available

----------
2007-08-16 (r260 md)

Fix openwebmailerror() to use proper charset

----------
2007-08-16 (r259 md)

Automatically create UTF-8 versions for all available locales during
openwebmail-tool.pl --init

----------
2007-08-13 (r258 md)

Fix replyreceipt() to send in english/utf-8

----------
2007-08-13 (r257 md)

Add missing conversion of user's fullname to compose charset.

----------
2007-08-10 (r256 md)

Always encode 8-bit names in Content-Description header according to RFC2047

----------
2007-08-10 (r255 md)

Decode RFC2047 headers always into UTF-8 charset and convert
into display/compose charset in one step. Ensures proper decoding
of international headers even if message charset is US-ASCII

----------
2007-07-06 (r254 jveiga)

complements the attachment limit patch with a pop-up message
informing the user that the limit was reached.

----------
2007-07-03 (r253 jveiga)

uses the system zoneinfo database for timezone/dst handling.

----------
2007-07-03 (r252 jveiga)

denies adding attachments over the attlimit without discarding
the message being composed

----------
2007-07-03 (r251 jveiga)

adds an option to backup sent/replied messages on the current
folder if the current folder is not Drafts nor Inbox.

----------
2007-06-01 (r250 jveiga)

Fix csv/tab addressbook export to skip AGENT and non-text properties instead of aborting.

----------
2006-10-30 (r248 jveiga)

change the spellcheck() function name to owmspellcheck() to workaround conflict with Firefox 2.0 which prevented the spellcheck to work.

----------
2006-10-19 (r247 ateslik)

fix bug so compose message attachments are now displayed in the
order uploaded
(thanks to Joao S Veiga, openwebmail.AT.rf.com.br for his code)

fix bug that subjects with quote characters did not link to
openwebmail-read correctly in IE due to HTML syntax errors
(thanks to Moke Tsing, moke.AT.amcpl.net for his report)

fix bug that etc/default/openwebmail.conf domainselmenu_list
option was not updated to domainselectmenu_list at 11/14/2004 #1
(thanks to Michael Mansour, mic.AT.npgx.com.au for his report)

fix minor HTML syntax errors in addressbook forms
(thanks to Pavel Schauer, schauer.AT.dp.fyz.fce.vutbr.cz)

Czech templates and language files translation update
(thanks to Pavel Schauer, schauer.AT.dp.fyz.fce.vutbr.cz)

rewrite the pipecmd code in spamcheck and viruscheck modules.
the new code has much better error reporting and should help
troubleshoot pipe issues better.

----------
2006-08-31 (r245 ateslik)

fix bug for wrong logic in #4 from the last commit

----------
2006-08-31 (r244 ateslik)

fix bug so addressbook now returns to the correct list page
after a contact has been edited
(thanks to Moke Tsing, moke.AT.amcpl.net for his patch)

fix missing html closing syntax in email and tel parms of
addressbook

Spanish templates and language files translation update
(thanks to Javier Smaldone, javier.AT.smaldone.com.ar)

fix a bug that openwebmail-tool does not load default config
unless a custom config also exists
(thanks to John M. Victory, ergon.AT.users.sourceforge.net)

adding a new contact from readmessage now returns back to
readmessage instead of addressbook listview

----------
2006-07-21 (r242 ateslik)

a forth commit to fix a minor bug in the openwebmail-tool.pl
new SMTP code (writehistory is not available at that time).

----------
2006-07-21 (r241 ateslik)

a third commit to further update the en_US templates,
as is sometimes necessary for large commits to SVN.

----------
2006-07-21 (r240 ateslik)

a second commit to update the en_US templates

----------
2006-07-21 (r239 ateslik)

switch from languages/charsets to full locale names globally.
OpenWebMail is now standardized on ISO-3066 for locale names
across templates, language, holiday, help files, and popups.
user preferences are automatically updated. Systems admins
should update the 'calendar_holiday' settings in openwebmail.conf
to call for a locale specific holiday file

multiple SMTP servers are now supported for 'smtpserver' setting to
provide redundancy in case of primary SMTP failure
(suggested by Michael Mansour, mic.AT.npgx.com.au)

Hellenic translations have been renamed to Greek
(suggested by Dimitrios 'sehh' Michelinakis, sehh.AT.altered.com)

fix bug in iconv.pl where some windows charsets were misspelled
as winodws, breaking some charset conversion support

minor code clean and comment spelling fixes

----------
2006-06-18 (r238 ateslik)

forgot to update the revision date.

----------
2006-06-18 (r237 ateslik)

German help files translation
(thanks to Helmut Grund, Helmut.Grund.AT.fh-furtwangen.de)

update the welcome/copyright date from 2005 to 2006

fix additional XSS exploits in openwebmail-read.pl due to the
from address not being sanitized properly

fix bug that clicking user name for compose will pass escaped
values to the form field instead of proper email address
(due to fix 20060512 #5)

support application/octet-stream attachments that are really
text/html. Detect them and display them inline. Apple-Mail
incorrectly sends text/html attachments in this way.

----------
2006-05-12 (r236 ateslik)

fix error that ow::htmltext::str2html is not available to display
some error messages because it needs to be require'd in ow-shared.pl
(thanks to Chris Hare, CISSP, CISA, CISM, chare.AT.labr.net)

modify some additional openwebmailerror calls that need to display
HTML, to make them XSS attack safe.

fix typo in openwebmail-send.pl to correct formatting of read-reciepts
to messages that are not of the same charset as the users charset
(thanks to Joao S Veiga, openwebmail.AT.rf.com.br for his patch)

fix bug that email addressed to an unknown local user will not create
an error if that user is the second or higher addressee
(thanks to Dominique Fournier, dominique.fournier.AT.grenoble.cnrs.fr)

fix additional XSS possible exploits caused by the To and From name and
address not being sanitized before display
(thanks to Kelson Vibber, kelson.AT.speed.net for his code)

Romanian templates and language files translation update
(thanks to Gabriel Hojda, gabriel.hojda.AT.gmail.com)

Hellenic/Greek templates and language files translation update
(thanks to Dimitrios 'sehh' Michelinakis, sehh.AT.altered.com)

----------
2006-05-04 (r235 ateslik)

fix mailparse.pl so the "attachment" and "body" keys of %message are
not overwritten by parse_header
(thanks to Joao S Veiga, openwebmail.AT.rf.com.br for his fix)

add Hungarian help and tutorial translation
(thanks to Harka Gy?\197?\145z?\197?\145, carlos.AT.gamma.ttk.pte.hu)

add 'body' recognition to openwebmail.pl for compatibility with
the firefox webmailcompose extention available at:
http://jedbrown.net/1.0/mozilla/extensions

to stop errors appearing in the logs, change openwebmailerror to output
the default_bgurl in the case that a user does not define a bgurl
(thanks to Massimo Gravino, gravino.AT.pd.infn.it for his patch)

fix vacation.pl to not auto-reply to messages tagged as spam in the
header. The spam threshold coded in is 6, please adjust if needed

----------
2006-05-02 (r233 ateslik)

(2.52 Release)

change the openwebmail-tool.pl site-report email from
openwebmail.AT.turtle.ee.ncku.edu.tw -> stats.AT.openwebmail.acatysmoof.com

add the revision string to openwebmail.conf and the about page.
this is to give more information for bugs as development ramps back up.

fix a bug that arbitary XSS code may be executed by passing script
in the sessionid value, because the sessionid was not sanitized
before it was displayed in the error output.
(reported by Jose Alves, jose.alves.AT.gmail.com)

----------
2005-07-26 (r232 ateslik)

fix a typo error in log message in openwebmail-main.pl
(thanks to Joao S Veiga, openwebmail.AT.rf.com.br for his fix)

fix a typo error in receipt messaage in openwebmail-send.pl
(thanks to tigeli, pasi.sjoholm.AT.tieto-x.fi for his fix)

----------
2005-06-27 (r231 ateslik)

fix a bug in mailfilter that folder filelock wasn't correctly released
if dotfile lock was used.

hongkong holiday file update
(thanks to faifai.AT.users.sourceforge.net)

Thai language and template files translation update
(thanks to Atsawin Chaowanakritsanakul, joke.AT.nakhon.net)

----------
2005-06-15 (r230 ateslik)

fix a bug that delmail_ifquotahit option will delete newest mails
if overquota, this bug was introduced since 20050308
(reported by Yang Yao-Strong, ysyang.AT.visionnext.com)

folding the to, cc, bcc fields with length limit 330 so they won't
violated the 998 limit (defined in rfc RFC 2822 2.2.3) after qp encoding

----------
2005-05-27 (r229 ateslik)

change language name to more official ones (language_area.encoding)
zh_TW.Big5.utf8   -> zh_TW.utf8
zh_CN.GB2312.utf8 -> zh_CN.utf8

----------
2005-05-22 (r228 ateslik)

mirror site change
from http://openwebmail.kkellas.com.my
to   http://openwebmail.opusplc.com
(thanks to Ramli Mohd, meli.AT.opusplc.com)

----------
2005-05-12 (r227 ateslik)

Portuguese Brazil language and template files translation update
(thanks to Julio Cesar Cunha, julio.AT.cnm.org.br)

fix a bug that openwebmail-tool.pl always say
"operation is only available to root" in persistence mode
(this bug is introduced by change 2 b 20050507)

----------
2005-05-10 (r226 ateslik)

new iconset: Default.Polish
(thanks to Tomasz Wieckowski, t.wieckowski.AT.amp.edu.pl)

minor change to advsearch output layout

----------
2005-05-08 (r225 ateslik)

fix a bug that openwebmail-tool.pl --init will have db creation error
(this is introduced by change 2 b in 20050507)

fix a bug that number in $) may be lost after being copied to and from
a variable
ps:this was due to a strange behavior that
the 2nd number in a string will be always ignored by $)

----------
2005-05-07 (r224 ateslik)

fix the problem that option ldap_abook_container with null value
in openwebmail.conf will be always overridden by option in
openwebmail.conf.default
(thanks to Luigi Mazzieri, lmazzieri.AT.emerenzio.net for his fix)

a. use mktmpdir to make temporary dir for non-automic tmp file creation
to avoid race condition
b. release the ruid/euid/egid www immediately after script start for
better security
(thanks to Matej Vela, vela.AT.debian.org for his suggestion)

----------
2005-05-06 (r223 ateslik)

fix the bug that addressbook import lets user upload any kind of file
(thanks to Alex Teslik, alex.AT.acatysmoof.com for his fix)

fix the bug that addressbook import can would fail if the FullName
field is choosed
(thanks to Joao S Veiga, openwebmail.AT.rf.com.br for his fix)

move the popup calendar stylesheets into the templates/COMMON files
and out of the templates/$lang files
(thanks to Alex Teslik, alex.AT.acatysmoof.com for his code)

more strict check on dictionary parameter in openwebmail-abook.pl
(thanks to Matej Vela, vela.AT.debian.org for his fix)

new iconset: Cool3D.Polish
(thanks to Tomasz Wieckowski, t.wieckowski.AT.amp.edu.pl)

----------
2005-05-04 (r222 ateslik)

replace more open(F, fname) statement with sysopen(F, fname, mode)
to avoid possible shell escape char in filename

fix a typo error in spellcheck which was introduced by 20050430 fix 3

use mktmpfile to create tmp file to avoid possible race condition
(suggested by Javier Fernandez-Sanguino Pena, jfs.AT.computer.org)

remove dnagerous chars from the dictionary parameter in spellcheck
(suggested by Matej Vela, vela.AT.debian.org)

fix the several typo error in LDAP config name in openwebmail-abook.pl
(thanks to Alex Teslik, alex.AT.acatysmoof.com for his fix)

----------
2005-05-01 (r221 ateslik)

rename preference option msgdatetimestamp to msgdatetype

fix the problem that messages are always sorted by sent date even the
"sort by received date" is choosed and displayed
(reported by Dominic Lu, dominic.AT.dominic.idv.tw)

do ldap cache abook update in background

change format of lunar map so it can be matched with numbers
ps:The new routine maintains compatibility with old lunar db format,
however, we suggest sysadm upgrade their lunar db to avoid comparibility
problem in the future by
a. remove the cgi-bin/openwebmail/etc/maps/lunar.db
b. redo openwebmail-tool.pl --init

----------
2005-04-30 (r220 ateslik)

clean all pipe code with safer syntax like open(F, "|-") and open(F, "-|")
to eliminate shell escape char interpretation

spam check and virus check which should be faster now
because of change 1, shll won't be invoked any more.

replace most open(F, fname) statement with sysopen(F, fname, mode)
to avoid problem caused by shell escape char in filename

----------
2005-04-29 (r219 ateslik)

LDAP addressbook support
(thanks to Luigi Mazzieri, lmazzieri.AT.emerenzio.net for his code)

Hungarion lang and template files translation update
(thanks to Posz Marton, ful_s.AY.fazekas.hu)

fix a bug that when click on "Compose message from selected" in addresss
book with "Cc" checked, in the new message the "Cc" is always blank.
(thanks to Alex Teslik, alex.AT.acatysmoof.com for his fix)

fix a but that openwebmail.pl will report directory creation error
when it is executed in not setuid root mode
(reported by Frederic TYNDIUK, tyndiuk.AT.webfutur.com)

Indonesian language file translation update
Indonesian help tutorial translation
(thanks to James Briggs, james.AT.ActionMessage.com)

always remove space, tab, \r, \n from loginname
(suggested by Frederic TYNDIUK, tyndiuk.AT.webfutur.com)

----------
2005-04-10 (r218 ateslik)

new mirror site at Munich, Germany
http://openwebmail.mirrorplus.org/
(thanks to A. Schweiss, admin.AT.mirrorplus.org)

fix the bug that default sort for old user was not properly changed
from 'date' to 'date_rev'
(reported by James Briggs, james.AT.ActionMessage.com)

new iconset: Jabo.Danish
(thanks to Jan Bothmann, jabo.AT.bothmann.biz)

----------
2005-03-23 (r217 ateslik)

fix a bug in preload.pl that some cgi url were hard coded instead of
$cgiurl variable
(thanks to Joao S Veiga, openwebmail.AT.rf.com.br for his fix)

----------
2005-03-22 (r216 ateslik)

fix the bug that addressbook entries added with 'quickadd' button
won't have the X-OWM-CHARSET attribute

----------
2005-03-20 (r215 ateslik)

remove 'show inbox unread message count' option from prefs
as it is enabled by default now :)

----------
2005-03-19 (r214 ateslik)

add 'show inbox unread message count' option to prefs
(thanks to Alex Teslik, alex.AT.acatysmoof.com for his code)

add 'event reminder' option to calendar item menu
(thanks to Matt Roberts, matt.AT.dworkin.org for his code)

The changes from 03/18/2005 are also included since the 03/18
tarball is missing:
----------

Spanish language file tranlsation minor update
Spanish holiday file
(thanks to Miguel Angel Fernandez Roiz, roiz.AT.lobocom.es)

new mirrorsite at Burlingame, California, US
http://openwebmail.tolix.org/
(thanks to Deep, silver_masta.AT.yahoo.com)

----------
2005-03-17 (r213 ateslik)

fix a bug that relative links in message would be converted to absolute
openwebmail links in forwarded message
(reported by Grund Helmut RZ, Helmut.Grund.AT.fh-furtwangen.de)

fix a bug that messages with self id in references header won't be
displayed in message list when the list is soirted by subject
(reported by Cruzio Research, research.AT.cruzio.com)

new auth module: auth_mysql_postnuke.pl
It is based on auth_mysql.pl and to be used with users in postnuke.
(thanks to Didier MICHAUT, dmichaut.AT.mt71.fr for his modification)

----------
2005-03-15 (r212 ateslik)

new mirror site at Raleigh, NC
http://owm.opensourcerules.net/
(thanks to Sam Gates, sam.AT.opensourcerules.net)

fix a bug that some words would inproperly changed to %%WORDnn%%
after spelling check
(reported by to Thomas Chung, tchung.AT.openwebmail.org)

----------
2005-03-11 (r211 ateslik)

fix the bug that default sort for new user was not properly set
to 'date_rev'

Korean language file translation minor update
(thanks to Sungjun Park, psj.AT.soosan.co.kr)

Danish language, templates and htmlarea files translation update
(thanks to Gunner Poulsen, gp.AT.lyngbjerggaardskolen.dk)

----------
2005-03-10 (r210 ateslik)

minor change to buffer_index() code in maildb.pl which makes great
improvement :)
a. the indexing speed is about 2 times faster than before
b. the memory usage is basicly foldersize/messagesize independent
c. the cpu usage is much less than before

typo correction for string Ascending and Descending in language files

----------
2005-03-09 (r209 ateslik)

support using either SentDate and Received Date as message timestamp

messagelist code clean

calculate message age based on its received date so messages with long
transmission delay won't be removed soon by clean_trash_spamvirus()

show transmission delay as the tips of messagelist date field

finalize move of all en.utf8 symlinks to real directories

----------
2005-03-08 (r208 ateslik)

change the field order in folderdb and add the recvdate field.
The is preparation for recvdate display support in messagelist
ps: The folderdb will be upgraded to new format automatically when being accessed
However, the sysadm may upgrade the folderdb for all users explicitly by

/path_to.../openwebmail-tool.pl -i -a

so the users won't be waiting the db conversion in using webmail

rename option deliver_use_GMT to deliver_use_gmt or it won't be recognized
by conf parser

partial commit to accomodate the change of all en.utf8 symlinks to actual
directories. This will require another commit to finalize the change.

----------
2005-03-07 (r207 ateslik)

fix error "There is no file named "/tmp/nonexistance" main::readadrbook ..."
which happened in saving contact to abook with nonalphabet in abookname

----------
2005-03-06 (r206 ateslik)

fix the bug that DEFAULT_charset and DEFAULT_fscharset didn't lock the
related field in preference.
(reported by Florian Effenberger, floeff.AT.arcor.de)

fix a bug in readmessage that smartdestination was not correctly
iconved/unescaped during folder name comparison
(reported by MarkDoliner, thekingant.AT.users.sourceforge.net)

----------
2005-03-04 (r205 ateslik)

minor improvement on addressbook quick selection

----------
2005-03-03 (r204 ateslik)

fix a bug in blacklist/whitelist deletion which always deles the entry
previous to the one user want to delete
(reported by Dominic Lu, dominic.AT.dominic.idv.tw)

Czech language and template files translation update
(thanks to Milan Kerslager, milan.kerslager.AT.pslib.cz)

----------
2005-03-02 (r203 ateslik)

support quick selection in addressbook (similar to the one in messagelist)

----------
2005-03-01 (r202 ateslik)

support *.ace archive list/decompression in webdisk
(suggested by rs232, bellocarico.AT.hotmail.com)

new mirror site at Arad, Romania
http://mirrors.arad.astral.ro/openwebmail/
(thanks to Dani Radulescu, dani.radulescu.AT.astral.ro)

greatly improve the speed of composited advsearch

check if ~/mbox is INBOX before symlinking it to SAVED folder to avoid
problem on platforms(eg: Cobalt Raq servers) using ~/mbox as mailspool
(reported by tevike, csaba.AT.polyweb.no)

----------
2005-02-28 (r200 ateslik)

(2.51 Release)

Final touches for 2.51 release. Bump version numbers
in conf files.

----------
2005-02-28 (r199 ateslik)

minor change to readmessage templates

----------
2005-02-27 (r198 ateslik)

guess a better contenttype in attachment downloading
if attachment contenttype is application/octet-stream

include openwebmail.logrotate in misc/tools/logrotate/
which is useful for systems supporting logrotate
(thanks to Thomas Chung, tchung.AT.openwebmail.org)

----------
2005-02-25 (r197 ateslik)

change autologin default action from listmessage to listmessage_afterlogin,
so 'autofetch pop3' and 'moving old message to saved folder' will be called
in autologin

----------
2005-02-24 (r196 ateslik)

French language, template and htmlarea files translation minor update
(thanks to Dominique, dominique.fournier.AT.grenoble.cnrs.fr)

fix a bug that saprefs always set headerattr to ALL when ruletype is header
(reported by Yang Yao-Strong, ysyang.AT.green-computing.com)

Slovenian language and template files translation minor update
add Slovenian letters to spellcheck
(thanks to Uros Sajko, copatek.AT.yahoo.com)

support attachment deletion in readmessage

----------
2005-02-23 (r195 ateslik)

Spanish language and template files trnslation minor update
(thanks to Javier Smaldone, javier.AT.diff.com.ar)

Catalan language and template files translation minor update
(thanks to Jordi Sanfeliu, mikaku.AT.fiwix.org)

Romanian (ro & ro.utf8) lang and template files translation minor update
(thanks to Gabriel Hojda, gabriel.hojda.AT.gmail.com)

clear stale /tmp/.ow.xxx files in login routine

----------
2005-02-21 (r194 ateslik)

remove unnecessary file permission.template from english template

----------
2005-02-20 (r193 ateslik)

add "Read message with message charset" to user preference
(suggested by chuavv, chuavv.AT.mail.savs.hcc.edu.tw)

----------
2005-02-19 (r192 ateslik)

add chmod support in webdisk

----------
2005-02-18 (r191 ateslik)

fix a bug in openwebmail-saprefs.pl which always deleted the testrule
prevous to the one user want to remove.
(reported by Dominic Lu, dominic.AT.dominic.idv.tw)

fix some mismatch string between en and ro* language/template files.
(reported by Gabriel Hojda, gabriel.hojda.AT.gmail.com)

new iconset: Cool3D.Danish
(thanks to Gunner Poulsen, gp.AT.lyngbjerggaardskolen.dk)

Romanian (ro & ro.utf8) lang and template files translation minor update
(thanks to Gabriel Hojda, gabriel.hojda.AT.gmail.com)

add the folder dropdown menu to readmessage
add new option login_fieldwidth to openwebmail.conf
(suggested by Gabriel Hojda, gabriel.hojda.AT.gmail.com)

----------
2005-02-17 (r190 ateslik)

French language file translation minor update
(thanks to Dominique, dominique.fournier.AT.grenoble.cnrs.fr)

----------
2005-02-16 (r189 ateslik)

Spanish language, template and htmlarea files trnslation update
(thanks to Javier Smaldone, javier.AT.diff.com.ar)

fix a bug in htmlarea htmlarea-lang.js file that the tips for HR button
should be labeled as inserthorizontalrule.
(reported by Javier Smaldone, javier.AT.diff.com.ar)

Hellenic/Greek language file translation update
(thanks to Dimitrios 'sehh' Michelinakis, dimitrios.AT.michelinakis.gr)

fix a bug in openwebmail.pl that the login of user with wrong
password get processed after sending out the wrong password screen.
ps: this bug was introduced by the fix 1 in 20050115,
(thanks to Troy, troy.AT.riq.qc.ca for his fix)

French language and templates translation update
(thanks to Dominique, dominique.fournier.AT.grenoble.cnrs.fr)

----------
2005-02-15 (r188 ateslik)

fix the bug that calling truncate function may have
'insecure dependency' error

Slovenian language and template files translation minor update
(thanks to Uros Sajko, copatek.AT.yahoo.com)

Bulgarian language and template files translation minor update
(thanks to Veselin Slavov, vess.AT.slavof.net)

----------
2005-02-13 (r187 ateslik)

Deutsch language and template files translation minor update
(thanks to Martin Bronk, martin.AT.bronk.de)

Polish language and template files translation minor update
(thanks to Pawel Foremski, pjf.AT.asn.pl)

fix a bug that charset was not correctly converted when adding
emails in message to addresbook

remove opensourcerules.net from mirror sites list

----------
2005-02-12 (r186 ateslik)

fix a bug that arbitary XSS code may be pluged in login page
because the domainanme parameter was not checked.
(reported by Oriol Torrent Santiago, oriol.torrent.AT.gmail.com)

----------
2005-02-10 (r185 ateslik)

fix several type errors that unknown was typed as unknow
(thanks to Kelson Vibber, kelson.AT.speed.net)

clean code of error messages

----------
2005-02-09 (r184 ateslik)

Deutsch template files translation minor update
(thanks to Martin Bronk, martin.AT.bronk.de)

clean code of error messages

----------
2005-02-07 (r183 ateslik)

change address book email lookup in message list
from case sensitive to case insensitive
(suggested by Robert den Ouden, robert.AT.denouden.net)

----------
2005-02-06 (r182 ateslik)

Romanian (ro & ro.utf8) lang and prefs.template translation minor update
(thanks to Gabriel Hojda, gabriel.hojda.AT.gmail.com)

multiple charset support for mailfilter

clean code in mailfilte.pl for minor speedup

----------
2005-02-04 (r181 ateslik)

fix a bug in calendar that day of month was not properly checked when
the user clicked calendar from webmail
(thanks to Alex Teslik, alex.AT.acatysmoof.com for his fix)

----------
2005-02-03 (r180 ateslik)

fix a bug that in-reply-to header may be not correctly handled if it
is expressed as <messageid> "message description"

fix a problem that recv time was used as message timestamp if
recvtime-sendtime>7day, which caused problems when the user tries to
move very old messages to mail server through imapd
(reported by cyberic99.AT.hotmail.com)

----------
2005-02-02 (r179 ateslik)

fix a bug in fetchmail.pl readdata() which always returns true
after remote pop3 socket is closed unespectedly, this caused a fever
loop in fetchmail(), thus introduced huge process...
(reported by Mike Fahey, mfahey.AT.enter.net)

Romanian (ro & ro.utf8) lang and template files translation update
(thanks to Gabriel Hojda, gabriel.hojda.AT.gmail.com)

----------
2005-02-01 (r178 ateslik)

rename option log_filter_detail to debug_mailfilter,
add option debug_request, debug_fork to openwebmail.conf.default

new mirror site at Jyvaskyla, Finland
http://ws182.wts.fi/openwebmail/
(thanks to Pasi Sjoholm, pasi.sjoholm.AT.tieto-x.fi)

remove stale mirror sites
http://www.brc.com.br/openwebmail
http://openwebmail.typoheads.com

----------
2005-01-30 (r177 ateslik)

fix a bug in spellcheck that unreognized words in URL would cause
error in spellcheck output
(reported by Thomas Chung, tchung.AT.openwebmail.org)

show link to original message saved in draft folder in sendmail error message

add charset support for stationery book
replace all stationary in code to stationery

----------
2005-01-29 (r176 ateslik)

support auto cc feature
(suggested by Dominique, dominique.fournier.AT.grenoble.cnrs.fr)

new mirror site at Khonkaen, Thailand
http://openwebmail.nameserver.in.th/
(thanks to Pakon Jamsai, buagern.AT.hotmail.com)

----------
2005-01-28 (r175 ateslik)

Dutch language file translation update
(thanks to Jeroen Visser, openwebmail.AT.forty-two.nl)

Romanian lang and template files translation update
(thanks to Gabriel Hojda, gabriel.hojda.AT.gmail.com)

New language translation: Croatian
(thanks to Igor Zivkovic, igor.AT.linuxfromscratch.org)

----------
2005-01-26 (r174 ateslik)

fix the problem that openwebmail-main.pl/openwebmail-read.pl process may die
unexpectedly if viruscheck/spamcheck option is enabled but related daemon
is not available.
Why: When owm opens a pipe to the spamcheck/viruscheck client cmd (spamc/clamdscan),
the fd is available because the client cmd is started up properly.
However, while owm is writing data to the pipe, the pipe may be terminated
by the client because it can not connect to related daemon(spamd/clemd).
If this happens, the parent owm process die unexpectedly. :(
And we fix the problem by doing fork once before calling the client cmd.

Romanian lang and template files translation update
(thanks to Gabriel Hojda, gabriel.hojda.AT.gmail.com)

fix the bug that variable $folder is not transmitted in escaped format in
openwebmai-main.pl page form and openwebmail-cal.pl

fix a bug that param folder in sendmessage() was not unescaped
which stoped the update message status from working.
(reported by Thomas Chung, tchung.AT.openwebmail.org)

disable more js events in html4disablejs() in htmlrender.pl

new mirror site at California, USA,
http://www.mirrormonster.com/openwebmail/
(thanks to Mike, apache.org.AT.mirrormonster.com)

fix a bug that press enter in abook keyword field would cause parameter
format error
(reported by treo, directcommunications.AT.mail.com)

----------
2005-01-25 (r173 ateslik)

fix a bug that webdisk upload didn't handle filename properly
when user prefs charset was not the same as fs charset

----------
2005-01-24 (r172 ateslik)

fix the bug that search by date in messagelist only matches with YYYYMMYY
Now the date will match with the the dateformat selected by users in their
user preference
(suggested by Joao S Veiga, openwebmail.AT.rf.com.br)

Arabic language and prefs.template file translation update
(thanks to Isam Ishaq, isam.AT.planet.edu)

Indonesian language and template files translation update
(thanks to James Briggs, james.AT.ActionMessage.com)

----------
2005-01-22 (r171 ateslik)

use random number to generate tmp filename for security

clear all user related info in login error message
(suggested by Joao S Veiga, openwebmail.AT.rf.com.br)

----------
2005-01-21 (r170 ateslik)

multiple charset support for rename function in editfolder and
editabookfolder

fix the bug that pathnames in openwebmailerror() were not converted from
fscharset to prefscharset

fix the bug that pathnames in history file were not converted from
fscharset to prefscharset in viewhistory()

fix the bug that foldernames in newmail notification window were not
converted from fscharset to prefscharset in viewhistory()

----------
2005-01-20 (r169 ateslik)

greatly improved multiple charset support in openwebmail-webdisk.pl

Indonesian template files minor translation update
(thanks to James Briggs, james.AT.ActionMessage.com)

change url of mirror site 19 to location with faster link
from http://opensourcerules.com/openwebmail/
to   http://opensourcerules.net/openwebmail/
(thanks to Sam Gates, sam.AT.opensourcerules.net)

Cool3D.Russian iconset update
(thanks to Oleg Dzyza, dzoleg.AT.mail.ru)

minor change to auth_pop3.pl so it assumes user login will fail by default

fix the error [UTF-8?] string in the ja_JP.Shift_JIS language, template
and htmlarea files
ps: This is due to the iconv mapping table in libiconv-1.9 (used by FreeBSD)
is not as complete as the one in libc on Linux :(

fix a bug that entries could not be delete from addressbook if option
strictfoldername was set to yes

add multiple charset support to addressbook search

----------
2005-01-18 (r168 ateslik)

greatly impreoved multiple charset support on option fscharset.
Most openwebmail modules will do charset conversion between fscharset
and usercharset automatically, so the name of folder/addressbook can
be always displayed correctly.

correct errors in the auth module auth_nis.pl
(reported by moniot, moniot.AT.fordham.edu)

----------
2005-01-17 (r167 ateslik)

multiple global addressbooks support
this could be useful for large companies or organizations

add learnham icon in spam-mail folder

----------
2005-01-16 (r166 ateslik)

fix a bug that DEFAULT_ options of list/yesno/none type in config file
may be parsed incorrectly, this was introduced by a fix in 20041030

add the categorized folder separator support
add description of categorzied folder to help tutorial
(thanks to Joao S Veiga, openwebmail.AT.rf.com.br for his code)

----------
2005-01-15 (r165 ateslik)

auto move .openwebmail between syshome and owuserdir
when use_syshomedir or use_syshomedir_for_dotdir is changed.
(ie: ~/.openwebmail <-> cgi-bin.openwebmail/etc/users/username/.openwebmail)
ps: This would simplify the job for sysadm when he determines to change option
use_syshomedir_for_dotdir from yes (default) to 'no'
to avoid the .openwebmail/db coruption when quotahit happens

fix a bug that the data in global addressbook would be corrupted
if sysadm executes openwebmail-tool.pl -c for more than once.

sort messages in alphabet order if the sort field is sender or recepient
(suggested by rs232, bellocarico.AT.hotmail.com,
ateslik, alex.AT.acatysmoof.com)

fix a bug in openwebmail-advsearch.pl that current month was always one more than
the correct value

support display of friend icon in openwebmail-advsearch.pl

----------
2005-01-14 (r164 ateslik)

fix a bug in advsearch that start/end day were passed to array2seconds()
with wrong parameters
(reported by Yang Yao-Strong, ysyang.AT.visionext.com)

support checking sender with addressbook in messagelist.
a friend icon will show up if the sender is found in any of user's
addressbooks or global affressbook
(suggested by SlowIce, peterf.AT.peterf.com)

Catalan language and template files translation update
(thanks to Jordi Sanfeliu, mikaku.AT.fiwix.org)

----------
2005-01-12 (r163 ateslik)

Indonesian lang file translation update
(thanks to James Briggs, james.AT.ActionMessage.com)

fix a bug that the pkg name of etc/lang/ko should be ow::ko instead
of ow::kr
(reported by Sungjun Park, psj.AT.soosan.co.kr)

----------
2005-01-11 (r162 ateslik)

The tarball for 01/10/2005 has been lost, so this commit
includes both the 01/10/2005 changes and the 01/10/2005 changes.

change korean language abbreviation from kr to ko
(thanks to Sergio Rua, srua.AT.debian.org for his correction)

01/10/2005
----------

URL syntax support in uploading :)
the users can upload an URL in webdisk or message composing now
just as if the URL is a local file

rename 'Folder Browsing' in preference to 'Messages Listing' to
avoid confusing

----------
2005-01-09 (r161 ateslik)

fix a minor bug in openwebmail-saprefs.pl that the default score
for no score testrule should be 1 instead of 0
(thanks to Yen-Ming Lee, leeym.AT.leeym.com for his fix)

fix a bug that the number of maxlen of foldernames is hard-coded
in language files
(reported by Thomas Chung, tchung.AT.openwebmail.org)

add crypt support to auth_mysql_vmail.pl
fix a bug that auth_mysql_vmail refered to wrong option name
which didn't exist in auth_mysql_vmail.conf
(thanks to Svyatoslav Y.Abramenkov, slavic.AT.promarmatura.dp.ua)

----------
2005-01-08 (r160 ateslik)

minor change to search form in addressbook listview to avoid security
warning under https

show active sessions in server info in preference/about menu

----------
2005-01-07 (r159 ateslik)

Hungarion lang and template files translation update
(thanks to Posz Marton, ful_s.AY.fazekas.hu)

enable http compression by default at login

----------
2005-01-06 (r157 ateslik)

categorized folders display in openwebmail-folder.pl
(thanks to Joao S Veiga, openwebmail.AT.rf.com.br for his code)

----------
2005-01-05 (r156 ateslik)

Cool3D.Deutsch iconset update
(thanks to Martin Bronk, martin.AT.bronk.de)

----------
2005-01-04 (r155 ateslik)

Indonesian lang and template files translation update
(thanks to James Briggs, james.AT.ActionMessage.com)

Bulgarian language and template files translation minor update
(thanks to Veselin Slavov, vess.AT.slavof.net)

add minor fix to openwebmail-folders.pl for fscharset
(thanks to Hidetoshi, hchacha.AT.users.sourceforge.net for his fix)

new charset support for ja_JP.utf8, zh_TW.Big5.utf8, zh_CN.GB2312.utf8

new option --langconv to openwebmail-tool.pl
(thanks to Hidetoshi, hchacha.AT.users.sourceforge.net for his code
in owm-init-gen-ja.patch.gz)
ps: This is used to convert openwebmail lang/template and htmlarea files
of specific language from one chanrset to another.
It is useful when adding new charset support of existing language.

----------
2005-01-03 (r154 ateslik)

Deutsch lang file translation update
(thanks to Martin Bronk, martin.AT.bronk.de)

Indonesian lang and template files translation update
(thanks to James Briggs, james.AT.ActionMessage.com)

Slovenian language file translation update
(thanks to Uros Sajko, copatek.AT.yahoo.com)

----------
2004-12-30 (r153 ateslik)

Finnish language translation update
(thanks to Pasi Sjoholm, pasi.sjoholm.AT.tieto-x.fi)

improve the speed of mailfilter.pl by skipping zapped/verified
messageids as early as possible

----------
2004-12-28 (r152 ateslik)

Deutsch lang and template files translation update
(thanks to Martin Bronk, martin.AT.bronk.de)

Indonesian language file translation update
(thanks to James Briggs, james.AT.ActionMessage.com)

----------
2004-12-27 (r151 ateslik)

fix a bug that spam/virus reserved days option does not show up in
user prefs
(thanks to kkenyon.AT.aircanopy.net for his fix)

fix a problem that the height of insert image/sound/table window in html
composor was not large enough to include the ok and cancel botton

fix a bug that < and > in replyto field would be removed in user preference
(reported by Yves MARTIN, ymartin.AT.mail.com)

----------
2004-12-26 (r150 ateslik)

new mirror site at St. Petersburg, FL, USA,
http://holodeck3.net/owmirror
(thanks to Peter Friedrich, peterf.AT.peterf.com)

Czech language and template files translation update
(thanks to Milan Kerslager, milan.kerslager.AT.pslib.cz)

----------
2004-12-24 (r149 ateslik)

fix a minor bug in mailfilter.pl that the filter.check file was not updated
after folder is changed by mailfilter itself, which caused the mailfilter
does one more message status scan of all messages in the folder next time.

add option bgfilterthreshold to the user preference so user can
determine whether the mail filter should be put into background
based on the message count in INBOX folder

Polish language and template files translation update
(thanks to Pawel Foremski, pjf.AT.asn.pl)

----------
2004-12-23 (r148 ateslik)

call charset() after loadlang to set the charset for CGI module to fix
bugs because of wrong default charset
(thanks to Hidetoshi, hchacha.AT.users.sourceforge.net for his fix)

new iconset: Cool3D.Japanese
(thanks to Hidetoshi, hchacha.AT.users.sourceforge.net)

Bulgarian language and template files translation update
(thanks to Veselin Slavov, vess.AT.slavof.net)

Slovenian language and template files translation update
(thanks to Uros Sajko, copatek.AT.yahoo.com)

----------
2004-12-21 (r147 ateslik)

fix a bug in addressbook that note field
with ' or " won't be displayed correctly
(thanks to Alex Teslik, alex.AT.acatysmoof.com for his fix)

----------
2004-12-20 (r146 ateslik)

explcitly check old password in change_userpassword() in auth_pam.pl,
as the PAM of underlying authentication doesn't always check the old
password before changing the password
(thanks to Sergio Rua, srua.AT.pattrynet.org for his fix)

----------
2004-12-19 (r145 ateslik)

add date range support to advsearch

----------
2004-12-13 (r144 ateslik)

fix some typo errors in French language file
(thanks to Dominique, dominique.fournier.AT.grenoble.cnrs.fr)

----------
2004-12-09 (r143 ateslik)

change calendar event notification email to a more concise format
so it could be displayed well in PDA or cell phone

fix the error of spamassassin user prefs filename,
it should be user_prefs, not userprefs

clean code related to cookies,
rename cookienames from openwebmail-* to ow-* and include -$domain-$user
as suffix for cookie that should not shared accross domains

fix a bug in openwebmail.pl that cgi param domainname was always not used
in autologin

----------
2004-12-08 (r142 ateslik)

fix a bug in cut.pl that parameter for utime is not untainted
(reported by Dimitrios 'sehh' Michelinakis, dimitrios.AT.michelinakis.gr)

----------
2004-12-07 (r141 ateslik)

Deutsch lang file translation update
(thanks to Martin Bronk, martin.AT.bronk.de)

add new option enable_saprefs to openwebmail.conf
This option would allow users to edit the testrules, whitelist and
blacklist in the spamassassin userprefs file (~/.spamassassin/userprefs)

----------
2004-12-05 (r140 ateslik)

new iconset: Cool3D.Spanish
(thanks to Jaime Caballero, master.AT.xanum.uam.mx)

fix a minor bug in auth_ldap.pl which always used the ou=people for
authentication no matter what ou is set to in auth_ldap.conf
(thanks to bjacint, bjacint.AT.kvark.hu for his fix)

----------
2004-12-02 (r139 ateslik)

fix a minor bug in adrbook.pl which may generate invalid vcard in
addressbook conversion if an entry in old addressbook has no name defined.
(thanks to Alex Teslik, alex.AT.acatysmoof.com for his fix)

----------
2004-12-01 (r138 ateslik)

return false in html editor compatibility test for browser Opera
in openwebmail-send

----------
2004-11-29 (r137 ateslik)

add -u (--unlock) option to openwebmail-tool.pl,
it removes the file locks for specific openwebmail user by killing the
processes holding the locks
ps: This function requires the program 'lsof',
lsof is available at http://people.freebsd.org/~abe/

----------
2004-11-27 (r136 ateslik)

fix the color of listview in addressbook when lightbar is disabled
(thanks to Alex Teslik, alex.AT.acatysmoof.com)

Hungarian language file translation update
(thanks to Posz Marton, ful_s.AT.fazekas.hu)

Strip unnecessary trailing whitespace off of a lot of lines
in the code.

----------
2004-11-26 (r135 ateslik)

Bulgarian language and template files translation update
(thanks to Veselin Slavov, vess.AT.slavof.net)

fix a bug that addressbook related function in message reading/composing
was not disabled when option enable_addressbook is set to no

fix a problem in mime.pl that encode_mimewords didn't encode two bytes of
a big5 char as a whole
(reported by wongyf.AT.mail.savs.ilc.edu.tw)

----------
2004-11-25 (r134 ateslik)

fix a problem that when dangerous chars in foldername in was silently
removed in folder creation, the resulted string might contain invalid
chars to user current charset
(reported by chip.AT.turtle.ee.ncku.edu.tw)

new mirror site at Beijing, China
http://web.lasg.ac.cn/openwebmail/
(thanks to Wang Jun, wjun.AT.mail.iap.ac.cn)

fix a problem that shares/vfile.pl won't work without Text::Iconv.pm
(reported by marvi.AT.menhir.biz, Marvi Benedet)

Polish language and template files translation update
(thanks to Pawel Foremski, pjf.AT.asn.pl)

Italian language and template files translation update
(thanks to Benedet Marvi, marvi.AT.menhir.biz)

----------
2004-11-24 (r133 ateslik)

fix the "Undefined subroutine &main::get_messageids_sorted_by_date" error
in openwebmail-tool.pl that
(reported by Yang Yao-Strong, ysyang.AT.visionnext.com)

Polish language and template files translation update
(thanks to Pawel Foremski, pjf.AT.asn.pl)

fix a bug that DEFAULT_ restriction in openwebmail.conf is always active
even when its default_ counterpart has been overridden
(reported by Yves MARTIN, ymartin.AT.mail.com)

fix an error in iconv.pl.fake that the routine is_convertable() should be
renamed to is_convertible()
(reported by marvi.AT.menhir.biz, Marvi Benedet)

----------
2004-11-23 (r132 ateslik)

remove the default chld signal handler to eliminate the
"recursive call...,out of memory!" error in httpd error log
To avoid zombie, we call zombie_cleaner explicitly at begin/end of
each request

----------
2004-11-21 (r131 ateslik)

rewrite the chkd signal handler
to eliminate the recursive call...,out of memory!" error

----------
2004-11-18 (r130 ateslik)

Slovenian html editor files translation update
(thanks to Uros Sajko, copatek.AT.yahoo.com)

fix a typo error in openwebmail-send.pl introduced by change4 in 11/16/2004
which stopped the 'save draft' function from working.

----------
2004-11-17 (r129 ateslik)

minor fix to editfile in webdisk so it could be called from modules
other than webdisk

----------
2004-11-16 (r128 ateslik)

fix a bug that parameters won't be remembered correctly in the url
redirection in openwebmail.pl at user login

fix a bug in vacation.pl that the from field in autoreplied message
may be wrong if the user was not the first recipient in the To: field
(thanks to Pasi Sjoholm, pasi.sjoholm.AT.tieto-x.fi for his fix)

new options: header_pluginfile_charset, footer_pluginfile_charset,
webmail_middle_pluginfile_charset to specify the charset of plugin data

new options: enable_savedraft, enable_backupsent

Slovenian language and template files translation update
(thanks to Uros Sajko, copatek.AT.yahoo.com)

----------
2004-11-14 (r127 ateslik)

change default for enable_domainselectmenu from yes to no,
rename domainselmenu_list to domainselectmenu_list

fix a bug that if option domainanmes has only one entry,
domainanme select menu won't appear even enable_domainselectmenu
is set to yes

fix a bug that domain selected from dropdown menu at login won't
be used as the default domain for user

----------
2004-11-12 (r126 ateslik)

use dispatch table for url redirection in refreshurl_after_login() in
openwebmail.pl

----------
2004-11-11 (r125 ateslik)

fix a bug that caused the following warning in system log on linux system
"application bug: perl5.8.3 has SIGCHLD set to SIG_IGN but calls wait()..."
(thanks to Joachim Vorrath, joachim.vorrath.AT.de.easynet.net for his fix)

----------
2004-11-10 (r124 ateslik)

the import/export support for csv and tab-separated addressbook!
(thanks to Joao S Veiga, openwebmail.AT.rf.com.br for his code)

add option webmail_middle_plugfile to plugin content between menubar
and messagelist in webmail

----------
2004-11-09 (r123 ateslik)

rename is_convertable to is_convertible in iconv.pl

----------
2004-11-08 (r122 ateslik)

refine the iconv routine and clean related code

remove debugging code

fix a bug in refined iconv routine

----------
2004-11-07 (r121 ateslik)

add charset support in calendar, so user can read/write a calendar
entry no matter if his charset in preference is the same as the calendar
entry charset

----------
2004-11-06 (r120 ateslik)

add routine decode_mimewords_iconv to decode a mimeowrd based on its own
charset, so string encoded with charset other the message charset
could be displayed correctly

fix a bug that parameters in mailto: link (to, subject, body) were not
passed into the compose window correctly
(reported by WONG, Wai Bun Ada, adawong.AT.ied.edu.hk)

fix a bug that agentname may be showed in wrong charset if the agent has
different charset than its parent contact

use cookie to remember the last used addressbook within a browser session

check the firstname/lastname field in addreditform before form submission
to avoid unexpected error

----------
2004-11-05 (r119 ateslik)

fix a bug in addressbook that when collapse mode is off,
checking the checkox of any group will check all groups in currentpage

fix a bug in addressbook that clicking save in groupedit form would
make the following addressbook listview have only a member field instead
of the to, cc and bcc fields.

use user prefs charset as the value for property X-OWM-CHARSET
in convert old addressbook

improved charset support in addreditform and addrlistview

----------
2004-11-04 (r118 ateslik)

Slovenian language and template files translation
(thanks to Uros Sajko, copatek.AT.yahoo.com)

Finish language translation update
(thanks to Pasi Sjoholm, pasi.sjoholm.AT.tieto-x.fi)

fix a bug in addressbook group editing that
clicking a group as member of current group will cause javascript error

----------
2004-11-03 (r117 ateslik)

jump directly to same location after form submission when user click +
to add a new item/entry in addressbook editing

fix a bug that the displayed addrbook name may be wrong in addreditform
when the entry in editing is in a readonly addrbook

show only TO field in addrlistview in editgroup mode

fix a bug that abookfolder was not passed in addredit which would
cause error in saving an existing entry to addressbook

minor openwebmail-abook.pl code clean
a. add is_abookfolder_writable() abookfolder2file() to openwebmail-abook.pl
b. variable convention: xxxfolder - logicalname of an addrbook
xxxfile   - path of an addrbook
xxxbook   - addrbook in mem hash

----------
2004-11-02 (r116 ateslik)

more checks on possible destination addressbooks in addrlistview

fix a bug that member checkboxs always have inverse state as the group
checkbox when collapse mode is off in addrlistview

fix the bug that string passed to displayNotes are escape with escapeURL,
it should be str2html instead.

----------
2004-11-01 (r115 ateslik)

adjust the default width/height of address popup window for upgraded users.

minor change to js routine makeFullName() in addreditform_N.template
so it can generate proper fullname for CJK

calling sendmail with -f option in vacation.pl to specify envelope sender
explicitly to avoid the intranet domainet being used in envelope.
(thanks to Pasi Sjoholm, pasi.sjoholm.AT.tieto-x.fi for his fix)

add 'local $1' in regex untaint matching to avoid the perl $1 taintness bug
(thanks to Pasi Sjoholm, pasi.sjoholm.AT.tieto-x.fi for his help
in debugging this problem)

add ucs4_to_utf8() to tool.pl to solve CJK problem in addressbook popup
it decodes the %uXXXX in CGI parameters encoded by javascript escape()

fix a bug in composeselect and editgroup that parms set in form hiddens object
should be escaped for < > & " chars only (ow::htmltext::str2html),
not fully escaped (ow::tool::escapeURL)

----------
2004-10-31 (r114 ateslik)

integrate addressbook with other modules by putting the link of web
addresssbook to the menubar of msgread, webcalendar and webdisk

Traditional Chinese language and templates translation update

fix a bug in mailfilter that string with < > could not be showed correctly
(reported by Noah Wallach, admin2.AT.enabled.com)

swap the forward.gif and forwardasatt.gif. they were with wrong name before.
(reported by Dan Burke, drburke.AT.crhc.uiuc.edu)

use a image itself as the thumbnail if the image size < 2k in webdisk.

show addressbook name in editing addressbook personal/group entries

fix alignment directives in addressbook templates for RTL languages
(eg:ar.* hr.* ur)

----------
2004-10-30 (r113 ateslik)

replace the openwebmail-abook.pl with the whole new vCard compliant
implementation by Alex Teslik, it is much better than the old one :)
(thanks to Alex Teslik, alex.AT.acatysmoof.com for his great implementation)

ps: BETA! NOT PRODUCTION READY!

The new addressbook code has NOT been tested worldwide.
Although every effort has been made to eliminate any possible errors,
it is STRONGLY recommended that this code should NOT be run in a
production environment until it can be tested by a larger user base.

ps: It is okay to install the new version over the old one.
but don't forget to remove import.gif, export.gif
from data/images/iconsets/*/ (which are not used any more)

ps: If you are upgrading from older openwebmail, don't forget to convert
the global addressbook to new vard format by

openwebmail-tool.pl -c

The user addressbook will be auto converted at the first access.
However, the sysadm may also choose to convert the addressbook for all
users manually by

openwebmail-tool.pl -c -a

Welcome Alex Teslik to the openwebmail develope team :)

Portuguese Brazil language and template files translation ipdate
(thanks to Joao S Veiga, openwebmail.AT.rf.com.br)

remove stale iconsets from data/images/iconsets/

move javascript in templates/*/addreditform_BDAY.template
to templates/COMMON/, so the js cached in memory could be shared
among different languages

change the default value for viruscheck_pipe
from /usr/local/bin/clamdscan --mbox --disable-summary --stdout -
to   /usr/local/bin/clamdscan --disable-summary --stdout -
to avoid the warning on clamav 0.8+

Traditional Chinese language and templates translation update

----------
2004-10-22 (r112 ateslik)

fix the problem that openwebmail didn't recognize messages properly
if the message is not delimited with a leading blank line
(thanks to tigeli, pasi.sjoholm.AT.tieto-x.fi for his report and patch)

rename option log_filtermove_detail to log_filter_detail
as this option logs more generic information of filters now
ps:If you encounter any problem with mail filtering,
please set this option to yes in your openwebmail.conf first.
Then check the information in openwebmail.log later.

----------
2004-10-20 (r111 ateslik)

add option enable_advsearch, enable_userfolders to openwebmail.conf

if domainames option has more than one members and
option enable_domainselectmenu is set to yes,
only the selected domainname will become the domainname in default emails

----------
2004-10-14 (r110 ateslik)

new mirror site at Moscow, Russia
http://openwebmail.nigilist.ru
(thanks to Petya Kohts, nit.AT.nigilist.ru)

fix a spelling mistake in the log file status names:
"emport addressbook to pine" should be: "export addressbook to pine"
(thanks to Dimitrios Michelinakis, dimitrios.AT.michelinakis.gr)

----------
2004-10-06 (r107 ateslik)

Austria holiday file
(thanks to gottfried hufnagel, gottfried.hufnagel.AT.onb.ac.at)

I forgot to add the new en.utf8 directories and files with the 105
revision, so I have added them here. So, the 2.41 tag is not perfect,
but this one is.

----------
2004-10-04 (r106 ateslik)

Hellenic/Greek language file minor update
Cool3D.Hellenic iconse update
(thanks to Dimitris Michelinakis, dimitris.AT.michelinakis.gr)

misc/tools/mkcool3d/mkcool3d.sh update
(thanks to Dimitris Michelinakis, dimitris.AT.michelinakis.gr)

----------
2004-09-26 (r104 ateslik)

Commit changes from tarball openwebmail-2.41.tar.gz

----------
2004-08-16 (r102 ateslik)

Commit additional changes from tarball openwebmail-2.40.tar.gz

----------
2004-08-16 (r101 ateslik)

Commit first pass changes from tarball openwebmail-2.40.tar.gz

Another big change in directory structures here.

----------
2004-05-25 (r99 ateslik)

Commit changes from tarball openwebmail-2.32.tar.gz

----------
2004-01-03 (r97 ateslik)

Commit additional changes from tarball openwebmail-2.30.tar.gz

----------
2004-01-03 (r96 ateslik)

Commit first pass changes from tarball openwebmail-2.30.tar.gz

Major change in directory structure here.

----------
2003-11-10 (r94 ateslik)

Commit changes from tarball openwebmail-2.21.tar.gz

----------
2003-10-14 (r92 ateslik)

Commit additional changes from tarball openwebmail-2.20.tar.gz

----------
2003-10-14 (r91 ateslik)

Commit first pass changes from tarball openwebmail-2.20.tar.gz

----------
2003-06-17 (r89 ateslik)

Commit changes from tarball openwebmail-2.10.tar.gz

----------
2003-04-25 (r87 ateslik)

Commit changes from tarball openwebmail-2.01.tar.gz

----------
2003-03-25 (r85 ateslik)

Commit changes from tarball openwebmail-2.00.tar.gz

----------
2003-02-12 (r83 ateslik)

Commit changes from tarball openwebmail-1.90.tar.gz

----------
2002-11-27 (r81 ateslik)

Commit changes from tarball openwebmail-1.81.tar.gz

----------
2002-11-22 (r79 ateslik)

Commit changes from tarball openwebmail-1.80.tar.gz

----------
2002-08-24 (r77 ateslik)

Commit additional changes from tarball openwebmail-1.71.tar.gz

----------
2002-08-24 (r76 ateslik)

Commit changes from tarball openwebmail-1.71.tar.gz

----------
2002-07-12 (r74 ateslik)

Commit changes from tarball openwebmail-1.70.tar.gz

----------
2002-06-06 (r72 ateslik)

Commit changes from tarball openwebmail-1.65.tar.gz

----------
2002-04-15 (r70 ateslik)

Commit changes from tarball openwebmail-1.64.tar.gz

----------
2002-03-19 (r68 ateslik)

Commit changes from tarball openwebmail-1.63.tar.gz

----------
2002-02-21 (r66 ateslik)

Commit changes from tarball openwebmail-1.62.tar.gz

----------
2002-02-04 (r64 ateslik)

Commit changes from tarball openwebmail-1.61.tar.gz

----------
2002-01-24 (r62 ateslik)

Commit additional changes from tarball openwebmail-1.60.tar.gz

----------
2002-01-24 (r61 ateslik)

Commit changes from tarball openwebmail-1.60.tar.gz

----------
2001-12-15 (r59 ateslik)

Commit changes from tarball openwebmail-1.53.tar.gz

----------
2001-12-04 (r57 ateslik)

Commit additional changes from tarball openwebmail-1.52.tar.gz

move src/cgi-bin/openwebmail/doc to src/data/openwebmail/doc

----------
2001-12-04 (r56 ateslik)

Commit changes from tarball openwebmail-1.52.tar.gz

----------
2001-11-08 (r54 ateslik)

Commit changes from tarball openwebmail-1.51.tar.gz

----------
2001-10-31 (r52 ateslik)

Commit changes from tarball openwebmail-1.50.tar.gz

----------
2001-10-31 (r51 ateslik)

another commit for 1.50...

----------
2001-10-31 (r50 ateslik)

add 1.50 changes to images (which adds the iconsets and backgrounds dirs)

----------
2001-10-31 (r49 ateslik)

openwebmail-1.50.tar.gz has a lot of changes and will require multiple commits.

first commit to modify templates...

----------
2001-09-04 (r47 ateslik)

Commit changes from tarball openwebmail-1.41.tar.gz

----------
2001-08-16 (r45 ateslik)

Commit changes from tarball openwebmail-1.40.tar.gz

----------
2001-07-12 (r43 ateslik)

Commit changes from tarball openwebmail-1.32.tar.gz

----------
2001-06-23 (r41 ateslik)

Commit changes from tarball openwebmail-1.31.tar.gz

----------
2001-06-18 (r39 ateslik)

Commit changes from tarball openwebmail-1.30.tar.gz

----------
2001-06-13 (r37 ateslik)

Commit changes from tarball openwebmail-1.22.tar.gz

----------
2001-06-11 (r35 ateslik)

Commit changes from tarball openwebmail-1.21.tar.gz

----------
2001-06-07 (r33 ateslik)

Commit changes from tarball openwebmail-1.20.tar.gz

----------
2001-06-01 (r31 ateslik)

Commit changes from tarball openwebmail-1.15.tar.gz

----------
2001-05-25 (r29 ateslik)

Commit changes from tarball openwebmail-1.14.tar.gz

----------
2001-05-07 (r27 ateslik)

Commit changes from tarball openwebmail-1.13.tar.gz

----------
2001-05-04 (r25 ateslik)

Commit changes from tarball openwebmail-1.12.tar.gz

----------
2001-05-01 (r23 ateslik)

Commit changes from tarball openwebmail-1.11.tar.gz

----------
2001-04-26 (r21 ateslik)

Commit changes from tarball openwebmail-1.10.tar.gz

----------
2001-04-24 (r19 ateslik)

Commit changes from tarball openwebmail-1.09.tar.gz

----------
2001-04-20 (r17 ateslik)

Commit changes from tarball openwebmail-1.08.tar.gz

----------
2001-04-17 (r15 ateslik)

Commit changes from tarball openwebmail-1.07.tar.gz

----------
2001-04-13 (r13 ateslik)

Commit changes from tarball openwebmail-1.06.tar.gz

----------
2001-04-11 (r11 ateslik)

Commit changes from tarball openwebmail-1.05.tar.gz

----------
2001-04-06 (r9 ateslik)

Commit changes from tarball openwebmail-1.04.tar.gz

----------
2001-04-02 (r7 ateslik)

Re-commit of the openwebmail-1.03.tar.gz tarball - this time I have
replaced the old files with the new ones, not just looked for new
files and directories like I did last time.

Getting the hang of this Subversion thingy.

----------
2001-04-02 (r4 ateslik)

Commit changes from tarball openwebmail-1.03.tar.gz

----------
2001-03-15 (r2 ateslik)

Commit the first tarball openwebmail-1.02.tar.gz

----------
2000-09-14 (r1 ateslik)

Initial repository layout
----------
